/* SPDX-License-Identifier: GPL-2.0 */
/*
 * IMG VDEC firmware messages
 *
 * Copyright (c) Imagination Technologies Ltd.
 * Copyright (c) 2018 Texas Instruments Incorporated - http://www.ti.com/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation version 2.
 *
 * This program is distributed "as is" WITHOUT ANY WARRANTY of any
 * kind, whether express or implied; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef _IMG_VDEC_FW_MSG_H
#define _IMG_VDEC_FW_MSG_H

#include "osal/inc/osa_types.h"

#define FW_DEVA_GENMSG_SIZE		(12)

/* FW_DEVA_GENMSG     MSG_ID */
#define FW_DEVA_GENMSG_MSG_ID_START_BIT		16
#define FW_DEVA_GENMSG_MSG_ID_END_BIT		31
#define FW_DEVA_GENMSG_MSG_ID_ALIGNMENT		(2)
#define FW_DEVA_GENMSG_MSG_ID_TYPE		uint16
#define FW_DEVA_GENMSG_MSG_ID_MASK		(0xFFFF)
#define FW_DEVA_GENMSG_MSG_ID_LSBMASK		(0xFFFF)
#define FW_DEVA_GENMSG_MSG_ID_OFFSET		(0x0002)
#define FW_DEVA_GENMSG_MSG_ID_SHIFT		(0)
#define FW_DEVA_GENMSG_MSG_ID_SIGNED_FIELD	0
#define FW_DEVA_GENMSG_MSG_ID_TRUSTED		(0)

/* FW_DEVA_GENMSG     MSG_TYPE */
#define FW_DEVA_GENMSG_MSG_TYPE_START_BIT		8
#define FW_DEVA_GENMSG_MSG_TYPE_END_BIT		15
#define FW_DEVA_GENMSG_MSG_TYPE_ALIGNMENT		(1)
#define FW_DEVA_GENMSG_MSG_TYPE_TYPE		uint8
#define FW_DEVA_GENMSG_MSG_TYPE_MASK		(0xFF)
#define FW_DEVA_GENMSG_MSG_TYPE_LSBMASK		(0xFF)
#define FW_DEVA_GENMSG_MSG_TYPE_OFFSET		(0x0001)
#define FW_DEVA_GENMSG_MSG_TYPE_SHIFT		(0)
#define FW_DEVA_GENMSG_MSG_TYPE_SIGNED_FIELD	0
#define FW_DEVA_GENMSG_MSG_TYPE_TRUSTED		(0)

/* FW_DEVA_GENMSG     NOT_LAST_MSG */
#define FW_DEVA_GENMSG_NOT_LAST_MSG_START_BIT		7
#define FW_DEVA_GENMSG_NOT_LAST_MSG_END_BIT		7
#define FW_DEVA_GENMSG_NOT_LAST_MSG_ALIGNMENT		(1)
#define FW_DEVA_GENMSG_NOT_LAST_MSG_TYPE		uint8
#define FW_DEVA_GENMSG_NOT_LAST_MSG_MASK		(0x80)
#define FW_DEVA_GENMSG_NOT_LAST_MSG_LSBMASK		(0x01)
#define FW_DEVA_GENMSG_NOT_LAST_MSG_OFFSET		(0x0000)
#define FW_DEVA_GENMSG_NOT_LAST_MSG_SHIFT		(7)
#define FW_DEVA_GENMSG_NOT_LAST_MSG_SIGNED_FIELD	0
#define FW_DEVA_GENMSG_NOT_LAST_MSG_TRUSTED		(0)

/* FW_DEVA_GENMSG     MSG_SIZE */
#define FW_DEVA_GENMSG_MSG_SIZE_START_BIT		0
#define FW_DEVA_GENMSG_MSG_SIZE_END_BIT		6
#define FW_DEVA_GENMSG_MSG_SIZE_ALIGNMENT		(1)
#define FW_DEVA_GENMSG_MSG_SIZE_TYPE		uint8
#define FW_DEVA_GENMSG_MSG_SIZE_MASK		(0x7F)
#define FW_DEVA_GENMSG_MSG_SIZE_LSBMASK		(0x7F)
#define FW_DEVA_GENMSG_MSG_SIZE_OFFSET		(0x0000)
#define FW_DEVA_GENMSG_MSG_SIZE_SHIFT		(0)
#define FW_DEVA_GENMSG_MSG_SIZE_SIGNED_FIELD	0
#define FW_DEVA_GENMSG_MSG_SIZE_TRUSTED		(0)

/* FW_DEVA_GENMSG     PTD */
#define FW_DEVA_GENMSG_PTD_START_BIT		0
#define FW_DEVA_GENMSG_PTD_END_BIT		31
#define FW_DEVA_GENMSG_PTD_ALIGNMENT		(4)
#define FW_DEVA_GENMSG_PTD_TYPE		uint32
#define FW_DEVA_GENMSG_PTD_MASK		(0xFFFFFFFF)
#define FW_DEVA_GENMSG_PTD_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_GENMSG_PTD_OFFSET		(0x0004)
#define FW_DEVA_GENMSG_PTD_SHIFT		(0)
#define FW_DEVA_GENMSG_PTD_SIGNED_FIELD	0
#define FW_DEVA_GENMSG_PTD_TRUSTED		(0)

/* FW_DEVA_GENMSG     TRANS_ID */
#define FW_DEVA_GENMSG_TRANS_ID_START_BIT		0
#define FW_DEVA_GENMSG_TRANS_ID_END_BIT		31
#define FW_DEVA_GENMSG_TRANS_ID_ALIGNMENT		(4)
#define FW_DEVA_GENMSG_TRANS_ID_TYPE		uint32
#define FW_DEVA_GENMSG_TRANS_ID_MASK		(0xFFFFFFFF)
#define FW_DEVA_GENMSG_TRANS_ID_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_GENMSG_TRANS_ID_OFFSET		(0x0008)
#define FW_DEVA_GENMSG_TRANS_ID_SHIFT		(0)
#define FW_DEVA_GENMSG_TRANS_ID_SIGNED_FIELD	0
#define FW_DEVA_GENMSG_TRANS_ID_TRUSTED		(0)

#define FW_DEVA_DECODE_SIZE		(52)

/* FW_DEVA_DECODE     MSG_ID */
#define FW_DEVA_DECODE_MSG_ID_START_BIT		16
#define FW_DEVA_DECODE_MSG_ID_END_BIT		31
#define FW_DEVA_DECODE_MSG_ID_ALIGNMENT		(2)
#define FW_DEVA_DECODE_MSG_ID_TYPE		uint16
#define FW_DEVA_DECODE_MSG_ID_MASK		(0xFFFF)
#define FW_DEVA_DECODE_MSG_ID_LSBMASK		(0xFFFF)
#define FW_DEVA_DECODE_MSG_ID_OFFSET		(0x0002)
#define FW_DEVA_DECODE_MSG_ID_SHIFT		(0)
#define FW_DEVA_DECODE_MSG_ID_SIGNED_FIELD	0
#define FW_DEVA_DECODE_MSG_ID_TRUSTED		(0)

/* FW_DEVA_DECODE     MSG_TYPE */
#define FW_DEVA_DECODE_MSG_TYPE_START_BIT		8
#define FW_DEVA_DECODE_MSG_TYPE_END_BIT		15
#define FW_DEVA_DECODE_MSG_TYPE_ALIGNMENT		(1)
#define FW_DEVA_DECODE_MSG_TYPE_TYPE		uint8
#define FW_DEVA_DECODE_MSG_TYPE_MASK		(0xFF)
#define FW_DEVA_DECODE_MSG_TYPE_LSBMASK		(0xFF)
#define FW_DEVA_DECODE_MSG_TYPE_OFFSET		(0x0001)
#define FW_DEVA_DECODE_MSG_TYPE_SHIFT		(0)
#define FW_DEVA_DECODE_MSG_TYPE_SIGNED_FIELD	0
#define FW_DEVA_DECODE_MSG_TYPE_TRUSTED		(0)

/* FW_DEVA_DECODE     BATCH_START */
#define FW_DEVA_DECODE_BATCH_START_START_BIT		7
#define FW_DEVA_DECODE_BATCH_START_END_BIT		7
#define FW_DEVA_DECODE_BATCH_START_ALIGNMENT		(1)
#define FW_DEVA_DECODE_BATCH_START_TYPE		uint8
#define FW_DEVA_DECODE_BATCH_START_MASK		(0x80)
#define FW_DEVA_DECODE_BATCH_START_LSBMASK		(0x01)
#define FW_DEVA_DECODE_BATCH_START_OFFSET		(0x0000)
#define FW_DEVA_DECODE_BATCH_START_SHIFT		(7)
#define FW_DEVA_DECODE_BATCH_START_SIGNED_FIELD	0
#define FW_DEVA_DECODE_BATCH_START_TRUSTED		(0)

/* FW_DEVA_DECODE     MSG_SIZE */
#define FW_DEVA_DECODE_MSG_SIZE_START_BIT		0
#define FW_DEVA_DECODE_MSG_SIZE_END_BIT		6
#define FW_DEVA_DECODE_MSG_SIZE_ALIGNMENT		(1)
#define FW_DEVA_DECODE_MSG_SIZE_TYPE		uint8
#define FW_DEVA_DECODE_MSG_SIZE_MASK		(0x7F)
#define FW_DEVA_DECODE_MSG_SIZE_LSBMASK		(0x7F)
#define FW_DEVA_DECODE_MSG_SIZE_OFFSET		(0x0000)
#define FW_DEVA_DECODE_MSG_SIZE_SHIFT		(0)
#define FW_DEVA_DECODE_MSG_SIZE_SIGNED_FIELD	0
#define FW_DEVA_DECODE_MSG_SIZE_TRUSTED		(0)

/* FW_DEVA_DECODE     PTD */
#define FW_DEVA_DECODE_PTD_START_BIT		0
#define FW_DEVA_DECODE_PTD_END_BIT		31
#define FW_DEVA_DECODE_PTD_ALIGNMENT		(4)
#define FW_DEVA_DECODE_PTD_TYPE		uint32
#define FW_DEVA_DECODE_PTD_MASK		(0xFFFFFFFF)
#define FW_DEVA_DECODE_PTD_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_DECODE_PTD_OFFSET		(0x0004)
#define FW_DEVA_DECODE_PTD_SHIFT		(0)
#define FW_DEVA_DECODE_PTD_SIGNED_FIELD	0
#define FW_DEVA_DECODE_PTD_TRUSTED		(0)

/* FW_DEVA_DECODE     TRANS_ID */
#define FW_DEVA_DECODE_TRANS_ID_START_BIT		0
#define FW_DEVA_DECODE_TRANS_ID_END_BIT		31
#define FW_DEVA_DECODE_TRANS_ID_ALIGNMENT		(4)
#define FW_DEVA_DECODE_TRANS_ID_TYPE		uint32
#define FW_DEVA_DECODE_TRANS_ID_MASK		(0xFFFFFFFF)
#define FW_DEVA_DECODE_TRANS_ID_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_DECODE_TRANS_ID_OFFSET		(0x0008)
#define FW_DEVA_DECODE_TRANS_ID_SHIFT		(0)
#define FW_DEVA_DECODE_TRANS_ID_SIGNED_FIELD	0
#define FW_DEVA_DECODE_TRANS_ID_TRUSTED		(0)

/* FW_DEVA_DECODE     FLAGS */
#define FW_DEVA_DECODE_FLAGS_START_BIT		0
#define FW_DEVA_DECODE_FLAGS_END_BIT		15
#define FW_DEVA_DECODE_FLAGS_ALIGNMENT		(2)
#define FW_DEVA_DECODE_FLAGS_TYPE		uint16
#define FW_DEVA_DECODE_FLAGS_MASK		(0xFFFF)
#define FW_DEVA_DECODE_FLAGS_LSBMASK		(0xFFFF)
#define FW_DEVA_DECODE_FLAGS_OFFSET		(0x000C)
#define FW_DEVA_DECODE_FLAGS_SHIFT		(0)
#define FW_DEVA_DECODE_FLAGS_SIGNED_FIELD	0
#define FW_DEVA_DECODE_FLAGS_TRUSTED		(0)

/* FW_DEVA_DECODE     BUFFER_SIZE */
#define FW_DEVA_DECODE_BUFFER_SIZE_START_BIT		16
#define FW_DEVA_DECODE_BUFFER_SIZE_END_BIT		31
#define FW_DEVA_DECODE_BUFFER_SIZE_ALIGNMENT		(2)
#define FW_DEVA_DECODE_BUFFER_SIZE_TYPE		uint16
#define FW_DEVA_DECODE_BUFFER_SIZE_MASK		(0xFFFF)
#define FW_DEVA_DECODE_BUFFER_SIZE_LSBMASK		(0xFFFF)
#define FW_DEVA_DECODE_BUFFER_SIZE_OFFSET		(0x000E)
#define FW_DEVA_DECODE_BUFFER_SIZE_SHIFT		(0)
#define FW_DEVA_DECODE_BUFFER_SIZE_SIGNED_FIELD	0
#define FW_DEVA_DECODE_BUFFER_SIZE_TRUSTED		(0)

/* FW_DEVA_DECODE     CTRL_ALLOC_ADDR */
#define FW_DEVA_DECODE_CTRL_ALLOC_ADDR_START_BIT		0
#define FW_DEVA_DECODE_CTRL_ALLOC_ADDR_END_BIT		31
#define FW_DEVA_DECODE_CTRL_ALLOC_ADDR_ALIGNMENT		(4)
#define FW_DEVA_DECODE_CTRL_ALLOC_ADDR_TYPE		uint32
#define FW_DEVA_DECODE_CTRL_ALLOC_ADDR_MASK		(0xFFFFFFFF)
#define FW_DEVA_DECODE_CTRL_ALLOC_ADDR_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_DECODE_CTRL_ALLOC_ADDR_OFFSET		(0x0010)
#define FW_DEVA_DECODE_CTRL_ALLOC_ADDR_SHIFT		(0)
#define FW_DEVA_DECODE_CTRL_ALLOC_ADDR_SIGNED_FIELD	0
#define FW_DEVA_DECODE_CTRL_ALLOC_ADDR_TRUSTED		(0)

/* FW_DEVA_DECODE     MMU_STRPTD_BUF_ADDR */
#define FW_DEVA_DECODE_MMU_STRPTD_BUF_ADDR_START_BIT		0
#define FW_DEVA_DECODE_MMU_STRPTD_BUF_ADDR_END_BIT		31
#define FW_DEVA_DECODE_MMU_STRPTD_BUF_ADDR_ALIGNMENT		(4)
#define FW_DEVA_DECODE_MMU_STRPTD_BUF_ADDR_TYPE		uint32
#define FW_DEVA_DECODE_MMU_STRPTD_BUF_ADDR_MASK		(0xFFFFFFFF)
#define FW_DEVA_DECODE_MMU_STRPTD_BUF_ADDR_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_DECODE_MMU_STRPTD_BUF_ADDR_OFFSET		(0x0014)
#define FW_DEVA_DECODE_MMU_STRPTD_BUF_ADDR_SHIFT		(0)
#define FW_DEVA_DECODE_MMU_STRPTD_BUF_ADDR_SIGNED_FIELD	0
#define FW_DEVA_DECODE_MMU_STRPTD_BUF_ADDR_TRUSTED		(0)

/* FW_DEVA_DECODE     OPERATING_MODE */
#define FW_DEVA_DECODE_OPERATING_MODE_START_BIT		0
#define FW_DEVA_DECODE_OPERATING_MODE_END_BIT		31
#define FW_DEVA_DECODE_OPERATING_MODE_ALIGNMENT		(4)
#define FW_DEVA_DECODE_OPERATING_MODE_TYPE		uint32
#define FW_DEVA_DECODE_OPERATING_MODE_MASK		(0xFFFFFFFF)
#define FW_DEVA_DECODE_OPERATING_MODE_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_DECODE_OPERATING_MODE_OFFSET		(0x0018)
#define FW_DEVA_DECODE_OPERATING_MODE_SHIFT		(0)
#define FW_DEVA_DECODE_OPERATING_MODE_SIGNED_FIELD	0
#define FW_DEVA_DECODE_OPERATING_MODE_TRUSTED		(0)

/* FW_DEVA_DECODE     STREAMID */
#define FW_DEVA_DECODE_STREAMID_START_BIT		24
#define FW_DEVA_DECODE_STREAMID_END_BIT		31
#define FW_DEVA_DECODE_STREAMID_ALIGNMENT		(1)
#define FW_DEVA_DECODE_STREAMID_TYPE		uint8
#define FW_DEVA_DECODE_STREAMID_MASK		(0xFF)
#define FW_DEVA_DECODE_STREAMID_LSBMASK		(0xFF)
#define FW_DEVA_DECODE_STREAMID_OFFSET		(0x001F)
#define FW_DEVA_DECODE_STREAMID_SHIFT		(0)
#define FW_DEVA_DECODE_STREAMID_SIGNED_FIELD	0
#define FW_DEVA_DECODE_STREAMID_TRUSTED		(0)

/* FW_DEVA_DECODE     VDEC_FLAGS */
#define FW_DEVA_DECODE_VDEC_FLAGS_START_BIT		16
#define FW_DEVA_DECODE_VDEC_FLAGS_END_BIT		23
#define FW_DEVA_DECODE_VDEC_FLAGS_ALIGNMENT		(1)
#define FW_DEVA_DECODE_VDEC_FLAGS_TYPE		uint8
#define FW_DEVA_DECODE_VDEC_FLAGS_MASK		(0xFF)
#define FW_DEVA_DECODE_VDEC_FLAGS_LSBMASK		(0xFF)
#define FW_DEVA_DECODE_VDEC_FLAGS_OFFSET		(0x001E)
#define FW_DEVA_DECODE_VDEC_FLAGS_SHIFT		(0)
#define FW_DEVA_DECODE_VDEC_FLAGS_SIGNED_FIELD	0
#define FW_DEVA_DECODE_VDEC_FLAGS_TRUSTED		(0)

/* FW_DEVA_DECODE     PIPE */
#define FW_DEVA_DECODE_PIPE_START_BIT		12
#define FW_DEVA_DECODE_PIPE_END_BIT		15
#define FW_DEVA_DECODE_PIPE_ALIGNMENT		(1)
#define FW_DEVA_DECODE_PIPE_TYPE		uint8
#define FW_DEVA_DECODE_PIPE_MASK		(0xF0)
#define FW_DEVA_DECODE_PIPE_LSBMASK		(0x0F)
#define FW_DEVA_DECODE_PIPE_OFFSET		(0x001D)
#define FW_DEVA_DECODE_PIPE_SHIFT		(4)
#define FW_DEVA_DECODE_PIPE_SIGNED_FIELD	0
#define FW_DEVA_DECODE_PIPE_TRUSTED		(0)

/* FW_DEVA_DECODE     EXT_STATE_BUFFER */
#define FW_DEVA_DECODE_EXT_STATE_BUFFER_START_BIT		0
#define FW_DEVA_DECODE_EXT_STATE_BUFFER_END_BIT		31
#define FW_DEVA_DECODE_EXT_STATE_BUFFER_ALIGNMENT		(4)
#define FW_DEVA_DECODE_EXT_STATE_BUFFER_TYPE		uint32
#define FW_DEVA_DECODE_EXT_STATE_BUFFER_MASK		(0xFFFFFFFF)
#define FW_DEVA_DECODE_EXT_STATE_BUFFER_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_DECODE_EXT_STATE_BUFFER_OFFSET		(0x0020)
#define FW_DEVA_DECODE_EXT_STATE_BUFFER_SHIFT		(0)
#define FW_DEVA_DECODE_EXT_STATE_BUFFER_SIGNED_FIELD	0
#define FW_DEVA_DECODE_EXT_STATE_BUFFER_TRUSTED		(0)

/* FW_DEVA_DECODE     TILE_CFG */
#define FW_DEVA_DECODE_TILE_CFG_START_BIT		0
#define FW_DEVA_DECODE_TILE_CFG_END_BIT		31
#define FW_DEVA_DECODE_TILE_CFG_ALIGNMENT		(4)
#define FW_DEVA_DECODE_TILE_CFG_TYPE		uint32
#define FW_DEVA_DECODE_TILE_CFG_MASK		(0xFFFFFFFF)
#define FW_DEVA_DECODE_TILE_CFG_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_DECODE_TILE_CFG_OFFSET		(0x0024)
#define FW_DEVA_DECODE_TILE_CFG_SHIFT		(0)
#define FW_DEVA_DECODE_TILE_CFG_SIGNED_FIELD	0
#define FW_DEVA_DECODE_TILE_CFG_TRUSTED		(0)

/* FW_DEVA_DECODE     GENC_ID */
#define FW_DEVA_DECODE_GENC_ID_START_BIT		0
#define FW_DEVA_DECODE_GENC_ID_END_BIT		31
#define FW_DEVA_DECODE_GENC_ID_ALIGNMENT		(4)
#define FW_DEVA_DECODE_GENC_ID_TYPE		uint32
#define FW_DEVA_DECODE_GENC_ID_MASK		(0xFFFFFFFF)
#define FW_DEVA_DECODE_GENC_ID_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_DECODE_GENC_ID_OFFSET		(0x0028)
#define FW_DEVA_DECODE_GENC_ID_SHIFT		(0)
#define FW_DEVA_DECODE_GENC_ID_SIGNED_FIELD	0
#define FW_DEVA_DECODE_GENC_ID_TRUSTED		(0)

/* FW_DEVA_DECODE     RESERVED */
#define FW_DEVA_DECODE_RESERVED_START_BIT		8
#define FW_DEVA_DECODE_RESERVED_END_BIT		31
#define FW_DEVA_DECODE_RESERVED_ALIGNMENT		(4)
#define FW_DEVA_DECODE_RESERVED_TYPE		uint32
#define FW_DEVA_DECODE_RESERVED_MASK		(0xFFFFFF00)
#define FW_DEVA_DECODE_RESERVED_LSBMASK		(0x00FFFFFF)
#define FW_DEVA_DECODE_RESERVED_OFFSET		(0x002C)
#define FW_DEVA_DECODE_RESERVED_SHIFT		(8)
#define FW_DEVA_DECODE_RESERVED_SIGNED_FIELD	0
#define FW_DEVA_DECODE_RESERVED_TRUSTED		(0)

/* FW_DEVA_DECODE     PIPE_SELECT */
#define FW_DEVA_DECODE_PIPE_SELECT_START_BIT		0
#define FW_DEVA_DECODE_PIPE_SELECT_END_BIT		7
#define FW_DEVA_DECODE_PIPE_SELECT_ALIGNMENT		(1)
#define FW_DEVA_DECODE_PIPE_SELECT_TYPE		uint8
#define FW_DEVA_DECODE_PIPE_SELECT_MASK		(0xFF)
#define FW_DEVA_DECODE_PIPE_SELECT_LSBMASK		(0xFF)
#define FW_DEVA_DECODE_PIPE_SELECT_OFFSET		(0x002C)
#define FW_DEVA_DECODE_PIPE_SELECT_SHIFT		(0)
#define FW_DEVA_DECODE_PIPE_SELECT_SIGNED_FIELD	0
#define FW_DEVA_DECODE_PIPE_SELECT_TRUSTED		(0)

/* FW_DEVA_DECODE     MB_LOAD */
#define FW_DEVA_DECODE_MB_LOAD_START_BIT		0
#define FW_DEVA_DECODE_MB_LOAD_END_BIT		31
#define FW_DEVA_DECODE_MB_LOAD_ALIGNMENT		(4)
#define FW_DEVA_DECODE_MB_LOAD_TYPE		uint32
#define FW_DEVA_DECODE_MB_LOAD_MASK		(0xFFFFFFFF)
#define FW_DEVA_DECODE_MB_LOAD_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_DECODE_MB_LOAD_OFFSET		(0x0030)
#define FW_DEVA_DECODE_MB_LOAD_SHIFT		(0)
#define FW_DEVA_DECODE_MB_LOAD_SIGNED_FIELD	0
#define FW_DEVA_DECODE_MB_LOAD_TRUSTED		(0)

#define FW_DEVA_DECODE_FRAGMENT_SIZE		(16)

/* FW_DEVA_DECODE_FRAGMENT     MSG_ID */
#define FW_DEVA_DECODE_FRAGMENT_MSG_ID_START_BIT		16
#define FW_DEVA_DECODE_FRAGMENT_MSG_ID_END_BIT		31
#define FW_DEVA_DECODE_FRAGMENT_MSG_ID_ALIGNMENT		(2)
#define FW_DEVA_DECODE_FRAGMENT_MSG_ID_TYPE		uint16
#define FW_DEVA_DECODE_FRAGMENT_MSG_ID_MASK		(0xFFFF)
#define FW_DEVA_DECODE_FRAGMENT_MSG_ID_LSBMASK		(0xFFFF)
#define FW_DEVA_DECODE_FRAGMENT_MSG_ID_OFFSET		(0x0002)
#define FW_DEVA_DECODE_FRAGMENT_MSG_ID_SHIFT		(0)
#define FW_DEVA_DECODE_FRAGMENT_MSG_ID_SIGNED_FIELD	0
#define FW_DEVA_DECODE_FRAGMENT_MSG_ID_TRUSTED		(0)

/* FW_DEVA_DECODE_FRAGMENT     MSG_TYPE */
#define FW_DEVA_DECODE_FRAGMENT_MSG_TYPE_START_BIT		8
#define FW_DEVA_DECODE_FRAGMENT_MSG_TYPE_END_BIT		15
#define FW_DEVA_DECODE_FRAGMENT_MSG_TYPE_ALIGNMENT		(1)
#define FW_DEVA_DECODE_FRAGMENT_MSG_TYPE_TYPE		uint8
#define FW_DEVA_DECODE_FRAGMENT_MSG_TYPE_MASK		(0xFF)
#define FW_DEVA_DECODE_FRAGMENT_MSG_TYPE_LSBMASK		(0xFF)
#define FW_DEVA_DECODE_FRAGMENT_MSG_TYPE_OFFSET		(0x0001)
#define FW_DEVA_DECODE_FRAGMENT_MSG_TYPE_SHIFT		(0)
#define FW_DEVA_DECODE_FRAGMENT_MSG_TYPE_SIGNED_FIELD	0
#define FW_DEVA_DECODE_FRAGMENT_MSG_TYPE_TRUSTED		(0)

/* FW_DEVA_DECODE_FRAGMENT     BATCH_START */
#define FW_DEVA_DECODE_FRAGMENT_BATCH_START_START_BIT		7
#define FW_DEVA_DECODE_FRAGMENT_BATCH_START_END_BIT		7
#define FW_DEVA_DECODE_FRAGMENT_BATCH_START_ALIGNMENT		(1)
#define FW_DEVA_DECODE_FRAGMENT_BATCH_START_TYPE		uint8
#define FW_DEVA_DECODE_FRAGMENT_BATCH_START_MASK		(0x80)
#define FW_DEVA_DECODE_FRAGMENT_BATCH_START_LSBMASK		(0x01)
#define FW_DEVA_DECODE_FRAGMENT_BATCH_START_OFFSET		(0x0000)
#define FW_DEVA_DECODE_FRAGMENT_BATCH_START_SHIFT		(7)
#define FW_DEVA_DECODE_FRAGMENT_BATCH_START_SIGNED_FIELD	0
#define FW_DEVA_DECODE_FRAGMENT_BATCH_START_TRUSTED		(0)

/* FW_DEVA_DECODE_FRAGMENT     MSG_SIZE */
#define FW_DEVA_DECODE_FRAGMENT_MSG_SIZE_START_BIT		0
#define FW_DEVA_DECODE_FRAGMENT_MSG_SIZE_END_BIT		6
#define FW_DEVA_DECODE_FRAGMENT_MSG_SIZE_ALIGNMENT		(1)
#define FW_DEVA_DECODE_FRAGMENT_MSG_SIZE_TYPE		uint8
#define FW_DEVA_DECODE_FRAGMENT_MSG_SIZE_MASK		(0x7F)
#define FW_DEVA_DECODE_FRAGMENT_MSG_SIZE_LSBMASK		(0x7F)
#define FW_DEVA_DECODE_FRAGMENT_MSG_SIZE_OFFSET		(0x0000)
#define FW_DEVA_DECODE_FRAGMENT_MSG_SIZE_SHIFT		(0)
#define FW_DEVA_DECODE_FRAGMENT_MSG_SIZE_SIGNED_FIELD	0
#define FW_DEVA_DECODE_FRAGMENT_MSG_SIZE_TRUSTED		(0)

/* FW_DEVA_DECODE_FRAGMENT     PTD */
#define FW_DEVA_DECODE_FRAGMENT_PTD_START_BIT		0
#define FW_DEVA_DECODE_FRAGMENT_PTD_END_BIT		31
#define FW_DEVA_DECODE_FRAGMENT_PTD_ALIGNMENT		(4)
#define FW_DEVA_DECODE_FRAGMENT_PTD_TYPE		uint32
#define FW_DEVA_DECODE_FRAGMENT_PTD_MASK		(0xFFFFFFFF)
#define FW_DEVA_DECODE_FRAGMENT_PTD_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_DECODE_FRAGMENT_PTD_OFFSET		(0x0004)
#define FW_DEVA_DECODE_FRAGMENT_PTD_SHIFT		(0)
#define FW_DEVA_DECODE_FRAGMENT_PTD_SIGNED_FIELD	0
#define FW_DEVA_DECODE_FRAGMENT_PTD_TRUSTED		(0)

/* FW_DEVA_DECODE_FRAGMENT     FLAGS */
#define FW_DEVA_DECODE_FRAGMENT_FLAGS_START_BIT		0
#define FW_DEVA_DECODE_FRAGMENT_FLAGS_END_BIT		15
#define FW_DEVA_DECODE_FRAGMENT_FLAGS_ALIGNMENT		(2)
#define FW_DEVA_DECODE_FRAGMENT_FLAGS_TYPE		uint16
#define FW_DEVA_DECODE_FRAGMENT_FLAGS_MASK		(0xFFFF)
#define FW_DEVA_DECODE_FRAGMENT_FLAGS_LSBMASK		(0xFFFF)
#define FW_DEVA_DECODE_FRAGMENT_FLAGS_OFFSET		(0x0008)
#define FW_DEVA_DECODE_FRAGMENT_FLAGS_SHIFT		(0)
#define FW_DEVA_DECODE_FRAGMENT_FLAGS_SIGNED_FIELD	0
#define FW_DEVA_DECODE_FRAGMENT_FLAGS_TRUSTED		(0)

/* FW_DEVA_DECODE_FRAGMENT     BUFFER_SIZE */
#define FW_DEVA_DECODE_FRAGMENT_BUFFER_SIZE_START_BIT		16
#define FW_DEVA_DECODE_FRAGMENT_BUFFER_SIZE_END_BIT		31
#define FW_DEVA_DECODE_FRAGMENT_BUFFER_SIZE_ALIGNMENT		(2)
#define FW_DEVA_DECODE_FRAGMENT_BUFFER_SIZE_TYPE		uint16
#define FW_DEVA_DECODE_FRAGMENT_BUFFER_SIZE_MASK		(0xFFFF)
#define FW_DEVA_DECODE_FRAGMENT_BUFFER_SIZE_LSBMASK		(0xFFFF)
#define FW_DEVA_DECODE_FRAGMENT_BUFFER_SIZE_OFFSET		(0x000A)
#define FW_DEVA_DECODE_FRAGMENT_BUFFER_SIZE_SHIFT		(0)
#define FW_DEVA_DECODE_FRAGMENT_BUFFER_SIZE_SIGNED_FIELD	0
#define FW_DEVA_DECODE_FRAGMENT_BUFFER_SIZE_TRUSTED		(0)

/* FW_DEVA_DECODE_FRAGMENT     CTRL_ALLOC_ADDR */
#define FW_DEVA_DECODE_FRAGMENT_CTRL_ALLOC_ADDR_START_BIT		0
#define FW_DEVA_DECODE_FRAGMENT_CTRL_ALLOC_ADDR_END_BIT		31
#define FW_DEVA_DECODE_FRAGMENT_CTRL_ALLOC_ADDR_ALIGNMENT		(4)
#define FW_DEVA_DECODE_FRAGMENT_CTRL_ALLOC_ADDR_TYPE		uint32
#define FW_DEVA_DECODE_FRAGMENT_CTRL_ALLOC_ADDR_MASK		(0xFFFFFFFF)
#define FW_DEVA_DECODE_FRAGMENT_CTRL_ALLOC_ADDR_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_DECODE_FRAGMENT_CTRL_ALLOC_ADDR_OFFSET		(0x000C)
#define FW_DEVA_DECODE_FRAGMENT_CTRL_ALLOC_ADDR_SHIFT		(0)
#define FW_DEVA_DECODE_FRAGMENT_CTRL_ALLOC_ADDR_SIGNED_FIELD	0
#define FW_DEVA_DECODE_FRAGMENT_CTRL_ALLOC_ADDR_TRUSTED		(0)

#define FW_DEVA_ENDFRAME_SIZE		(40)

/* FW_DEVA_ENDFRAME     MSG_ID */
#define FW_DEVA_ENDFRAME_MSG_ID_START_BIT		16
#define FW_DEVA_ENDFRAME_MSG_ID_END_BIT		31
#define FW_DEVA_ENDFRAME_MSG_ID_ALIGNMENT		(2)
#define FW_DEVA_ENDFRAME_MSG_ID_TYPE		uint16
#define FW_DEVA_ENDFRAME_MSG_ID_MASK		(0xFFFF)
#define FW_DEVA_ENDFRAME_MSG_ID_LSBMASK		(0xFFFF)
#define FW_DEVA_ENDFRAME_MSG_ID_OFFSET		(0x0002)
#define FW_DEVA_ENDFRAME_MSG_ID_SHIFT		(0)
#define FW_DEVA_ENDFRAME_MSG_ID_SIGNED_FIELD	0
#define FW_DEVA_ENDFRAME_MSG_ID_TRUSTED		(0)

/* FW_DEVA_ENDFRAME     MSG_TYPE */
#define FW_DEVA_ENDFRAME_MSG_TYPE_START_BIT		8
#define FW_DEVA_ENDFRAME_MSG_TYPE_END_BIT		15
#define FW_DEVA_ENDFRAME_MSG_TYPE_ALIGNMENT		(1)
#define FW_DEVA_ENDFRAME_MSG_TYPE_TYPE		uint8
#define FW_DEVA_ENDFRAME_MSG_TYPE_MASK		(0xFF)
#define FW_DEVA_ENDFRAME_MSG_TYPE_LSBMASK		(0xFF)
#define FW_DEVA_ENDFRAME_MSG_TYPE_OFFSET		(0x0001)
#define FW_DEVA_ENDFRAME_MSG_TYPE_SHIFT		(0)
#define FW_DEVA_ENDFRAME_MSG_TYPE_SIGNED_FIELD	0
#define FW_DEVA_ENDFRAME_MSG_TYPE_TRUSTED		(0)

/* FW_DEVA_ENDFRAME     BATCH_START */
#define FW_DEVA_ENDFRAME_BATCH_START_START_BIT		7
#define FW_DEVA_ENDFRAME_BATCH_START_END_BIT		7
#define FW_DEVA_ENDFRAME_BATCH_START_ALIGNMENT		(1)
#define FW_DEVA_ENDFRAME_BATCH_START_TYPE		uint8
#define FW_DEVA_ENDFRAME_BATCH_START_MASK		(0x80)
#define FW_DEVA_ENDFRAME_BATCH_START_LSBMASK		(0x01)
#define FW_DEVA_ENDFRAME_BATCH_START_OFFSET		(0x0000)
#define FW_DEVA_ENDFRAME_BATCH_START_SHIFT		(7)
#define FW_DEVA_ENDFRAME_BATCH_START_SIGNED_FIELD	0
#define FW_DEVA_ENDFRAME_BATCH_START_TRUSTED		(0)

/* FW_DEVA_ENDFRAME     MSG_SIZE */
#define FW_DEVA_ENDFRAME_MSG_SIZE_START_BIT		0
#define FW_DEVA_ENDFRAME_MSG_SIZE_END_BIT		6
#define FW_DEVA_ENDFRAME_MSG_SIZE_ALIGNMENT		(1)
#define FW_DEVA_ENDFRAME_MSG_SIZE_TYPE		uint8
#define FW_DEVA_ENDFRAME_MSG_SIZE_MASK		(0x7F)
#define FW_DEVA_ENDFRAME_MSG_SIZE_LSBMASK		(0x7F)
#define FW_DEVA_ENDFRAME_MSG_SIZE_OFFSET		(0x0000)
#define FW_DEVA_ENDFRAME_MSG_SIZE_SHIFT		(0)
#define FW_DEVA_ENDFRAME_MSG_SIZE_SIGNED_FIELD	0
#define FW_DEVA_ENDFRAME_MSG_SIZE_TRUSTED		(0)

/* FW_DEVA_ENDFRAME     PTD */
#define FW_DEVA_ENDFRAME_PTD_START_BIT		0
#define FW_DEVA_ENDFRAME_PTD_END_BIT		31
#define FW_DEVA_ENDFRAME_PTD_ALIGNMENT		(4)
#define FW_DEVA_ENDFRAME_PTD_TYPE		uint32
#define FW_DEVA_ENDFRAME_PTD_MASK		(0xFFFFFFFF)
#define FW_DEVA_ENDFRAME_PTD_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_ENDFRAME_PTD_OFFSET		(0x0004)
#define FW_DEVA_ENDFRAME_PTD_SHIFT		(0)
#define FW_DEVA_ENDFRAME_PTD_SIGNED_FIELD	0
#define FW_DEVA_ENDFRAME_PTD_TRUSTED		(0)

/* FW_DEVA_ENDFRAME     TRANS_ID */
#define FW_DEVA_ENDFRAME_TRANS_ID_START_BIT		0
#define FW_DEVA_ENDFRAME_TRANS_ID_END_BIT		31
#define FW_DEVA_ENDFRAME_TRANS_ID_ALIGNMENT		(4)
#define FW_DEVA_ENDFRAME_TRANS_ID_TYPE		uint32
#define FW_DEVA_ENDFRAME_TRANS_ID_MASK		(0xFFFFFFFF)
#define FW_DEVA_ENDFRAME_TRANS_ID_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_ENDFRAME_TRANS_ID_OFFSET		(0x0008)
#define FW_DEVA_ENDFRAME_TRANS_ID_SHIFT		(0)
#define FW_DEVA_ENDFRAME_TRANS_ID_SIGNED_FIELD	0
#define FW_DEVA_ENDFRAME_TRANS_ID_TRUSTED		(0)

/* FW_DEVA_ENDFRAME     FLAGS */
#define FW_DEVA_ENDFRAME_FLAGS_START_BIT		0
#define FW_DEVA_ENDFRAME_FLAGS_END_BIT		15
#define FW_DEVA_ENDFRAME_FLAGS_ALIGNMENT		(2)
#define FW_DEVA_ENDFRAME_FLAGS_TYPE		uint16
#define FW_DEVA_ENDFRAME_FLAGS_MASK		(0xFFFF)
#define FW_DEVA_ENDFRAME_FLAGS_LSBMASK		(0xFFFF)
#define FW_DEVA_ENDFRAME_FLAGS_OFFSET		(0x000C)
#define FW_DEVA_ENDFRAME_FLAGS_SHIFT		(0)
#define FW_DEVA_ENDFRAME_FLAGS_SIGNED_FIELD	0
#define FW_DEVA_ENDFRAME_FLAGS_TRUSTED		(0)

/* FW_DEVA_ENDFRAME     BUFFER_SIZE */
#define FW_DEVA_ENDFRAME_BUFFER_SIZE_START_BIT		16
#define FW_DEVA_ENDFRAME_BUFFER_SIZE_END_BIT		31
#define FW_DEVA_ENDFRAME_BUFFER_SIZE_ALIGNMENT		(2)
#define FW_DEVA_ENDFRAME_BUFFER_SIZE_TYPE		uint16
#define FW_DEVA_ENDFRAME_BUFFER_SIZE_MASK		(0xFFFF)
#define FW_DEVA_ENDFRAME_BUFFER_SIZE_LSBMASK		(0xFFFF)
#define FW_DEVA_ENDFRAME_BUFFER_SIZE_OFFSET		(0x000E)
#define FW_DEVA_ENDFRAME_BUFFER_SIZE_SHIFT		(0)
#define FW_DEVA_ENDFRAME_BUFFER_SIZE_SIGNED_FIELD	0
#define FW_DEVA_ENDFRAME_BUFFER_SIZE_TRUSTED		(0)

/* FW_DEVA_ENDFRAME     BUFFER_ADDR */
#define FW_DEVA_ENDFRAME_BUFFER_ADDR_START_BIT		0
#define FW_DEVA_ENDFRAME_BUFFER_ADDR_END_BIT		31
#define FW_DEVA_ENDFRAME_BUFFER_ADDR_ALIGNMENT		(4)
#define FW_DEVA_ENDFRAME_BUFFER_ADDR_TYPE		uint32
#define FW_DEVA_ENDFRAME_BUFFER_ADDR_MASK		(0xFFFFFFFF)
#define FW_DEVA_ENDFRAME_BUFFER_ADDR_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_ENDFRAME_BUFFER_ADDR_OFFSET		(0x0010)
#define FW_DEVA_ENDFRAME_BUFFER_ADDR_SHIFT		(0)
#define FW_DEVA_ENDFRAME_BUFFER_ADDR_SIGNED_FIELD	0
#define FW_DEVA_ENDFRAME_BUFFER_ADDR_TRUSTED		(0)

/* FW_DEVA_ENDFRAME     MMUPTD */
#define FW_DEVA_ENDFRAME_MMUPTD_START_BIT		8
#define FW_DEVA_ENDFRAME_MMUPTD_END_BIT		31
#define FW_DEVA_ENDFRAME_MMUPTD_ALIGNMENT		(4)
#define FW_DEVA_ENDFRAME_MMUPTD_TYPE		uint32
#define FW_DEVA_ENDFRAME_MMUPTD_MASK		(0xFFFFFF00)
#define FW_DEVA_ENDFRAME_MMUPTD_LSBMASK		(0x00FFFFFF)
#define FW_DEVA_ENDFRAME_MMUPTD_OFFSET		(0x0014)
#define FW_DEVA_ENDFRAME_MMUPTD_SHIFT		(8)
#define FW_DEVA_ENDFRAME_MMUPTD_SIGNED_FIELD	0
#define FW_DEVA_ENDFRAME_MMUPTD_TRUSTED		(0)

/* FW_DEVA_ENDFRAME     STREAMID */
#define FW_DEVA_ENDFRAME_STREAMID_START_BIT		0
#define FW_DEVA_ENDFRAME_STREAMID_END_BIT		7
#define FW_DEVA_ENDFRAME_STREAMID_ALIGNMENT		(1)
#define FW_DEVA_ENDFRAME_STREAMID_TYPE		uint8
#define FW_DEVA_ENDFRAME_STREAMID_MASK		(0xFF)
#define FW_DEVA_ENDFRAME_STREAMID_LSBMASK		(0xFF)
#define FW_DEVA_ENDFRAME_STREAMID_OFFSET		(0x0014)
#define FW_DEVA_ENDFRAME_STREAMID_SHIFT		(0)
#define FW_DEVA_ENDFRAME_STREAMID_SIGNED_FIELD	0
#define FW_DEVA_ENDFRAME_STREAMID_TRUSTED		(0)

/* FW_DEVA_ENDFRAME     OPERATING_MODE */
#define FW_DEVA_ENDFRAME_OPERATING_MODE_START_BIT		0
#define FW_DEVA_ENDFRAME_OPERATING_MODE_END_BIT		31
#define FW_DEVA_ENDFRAME_OPERATING_MODE_ALIGNMENT		(4)
#define FW_DEVA_ENDFRAME_OPERATING_MODE_TYPE		uint32
#define FW_DEVA_ENDFRAME_OPERATING_MODE_MASK		(0xFFFFFFFF)
#define FW_DEVA_ENDFRAME_OPERATING_MODE_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_ENDFRAME_OPERATING_MODE_OFFSET		(0x0018)
#define FW_DEVA_ENDFRAME_OPERATING_MODE_SHIFT		(0)
#define FW_DEVA_ENDFRAME_OPERATING_MODE_SIGNED_FIELD	0
#define FW_DEVA_ENDFRAME_OPERATING_MODE_TRUSTED		(0)

/* FW_DEVA_ENDFRAME     EXT_STATE_BUFFER */
#define FW_DEVA_ENDFRAME_EXT_STATE_BUFFER_START_BIT		0
#define FW_DEVA_ENDFRAME_EXT_STATE_BUFFER_END_BIT		31
#define FW_DEVA_ENDFRAME_EXT_STATE_BUFFER_ALIGNMENT		(4)
#define FW_DEVA_ENDFRAME_EXT_STATE_BUFFER_TYPE		uint32
#define FW_DEVA_ENDFRAME_EXT_STATE_BUFFER_MASK		(0xFFFFFFFF)
#define FW_DEVA_ENDFRAME_EXT_STATE_BUFFER_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_ENDFRAME_EXT_STATE_BUFFER_OFFSET		(0x001C)
#define FW_DEVA_ENDFRAME_EXT_STATE_BUFFER_SHIFT		(0)
#define FW_DEVA_ENDFRAME_EXT_STATE_BUFFER_SIGNED_FIELD	0
#define FW_DEVA_ENDFRAME_EXT_STATE_BUFFER_TRUSTED		(0)

/* FW_DEVA_ENDFRAME     TILE_CFG */
#define FW_DEVA_ENDFRAME_TILE_CFG_START_BIT		0
#define FW_DEVA_ENDFRAME_TILE_CFG_END_BIT		31
#define FW_DEVA_ENDFRAME_TILE_CFG_ALIGNMENT		(4)
#define FW_DEVA_ENDFRAME_TILE_CFG_TYPE		uint32
#define FW_DEVA_ENDFRAME_TILE_CFG_MASK		(0xFFFFFFFF)
#define FW_DEVA_ENDFRAME_TILE_CFG_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_ENDFRAME_TILE_CFG_OFFSET		(0x0020)
#define FW_DEVA_ENDFRAME_TILE_CFG_SHIFT		(0)
#define FW_DEVA_ENDFRAME_TILE_CFG_SIGNED_FIELD	0
#define FW_DEVA_ENDFRAME_TILE_CFG_TRUSTED		(0)

/* FW_DEVA_ENDFRAME     RESERVED */
#define FW_DEVA_ENDFRAME_RESERVED_START_BIT		8
#define FW_DEVA_ENDFRAME_RESERVED_END_BIT		31
#define FW_DEVA_ENDFRAME_RESERVED_ALIGNMENT		(4)
#define FW_DEVA_ENDFRAME_RESERVED_TYPE		uint32
#define FW_DEVA_ENDFRAME_RESERVED_MASK		(0xFFFFFF00)
#define FW_DEVA_ENDFRAME_RESERVED_LSBMASK		(0x00FFFFFF)
#define FW_DEVA_ENDFRAME_RESERVED_OFFSET		(0x0024)
#define FW_DEVA_ENDFRAME_RESERVED_SHIFT		(8)
#define FW_DEVA_ENDFRAME_RESERVED_SIGNED_FIELD	0
#define FW_DEVA_ENDFRAME_RESERVED_TRUSTED		(0)

/* FW_DEVA_ENDFRAME     PIPE_SELECT */
#define FW_DEVA_ENDFRAME_PIPE_SELECT_START_BIT		0
#define FW_DEVA_ENDFRAME_PIPE_SELECT_END_BIT		7
#define FW_DEVA_ENDFRAME_PIPE_SELECT_ALIGNMENT		(1)
#define FW_DEVA_ENDFRAME_PIPE_SELECT_TYPE		uint8
#define FW_DEVA_ENDFRAME_PIPE_SELECT_MASK		(0xFF)
#define FW_DEVA_ENDFRAME_PIPE_SELECT_LSBMASK		(0xFF)
#define FW_DEVA_ENDFRAME_PIPE_SELECT_OFFSET		(0x0024)
#define FW_DEVA_ENDFRAME_PIPE_SELECT_SHIFT		(0)
#define FW_DEVA_ENDFRAME_PIPE_SELECT_SIGNED_FIELD	0
#define FW_DEVA_ENDFRAME_PIPE_SELECT_TRUSTED		(0)

#define FW_DEVA_INIT_SIZE		(36)

/* FW_DEVA_INIT     MSG_ID */
#define FW_DEVA_INIT_MSG_ID_START_BIT		16
#define FW_DEVA_INIT_MSG_ID_END_BIT		31
#define FW_DEVA_INIT_MSG_ID_ALIGNMENT		(2)
#define FW_DEVA_INIT_MSG_ID_TYPE		uint16
#define FW_DEVA_INIT_MSG_ID_MASK		(0xFFFF)
#define FW_DEVA_INIT_MSG_ID_LSBMASK		(0xFFFF)
#define FW_DEVA_INIT_MSG_ID_OFFSET		(0x0002)
#define FW_DEVA_INIT_MSG_ID_SHIFT		(0)
#define FW_DEVA_INIT_MSG_ID_SIGNED_FIELD	0
#define FW_DEVA_INIT_MSG_ID_TRUSTED		(0)

/* FW_DEVA_INIT     MSG_TYPE */
#define FW_DEVA_INIT_MSG_TYPE_START_BIT		8
#define FW_DEVA_INIT_MSG_TYPE_END_BIT		15
#define FW_DEVA_INIT_MSG_TYPE_ALIGNMENT		(1)
#define FW_DEVA_INIT_MSG_TYPE_TYPE		uint8
#define FW_DEVA_INIT_MSG_TYPE_MASK		(0xFF)
#define FW_DEVA_INIT_MSG_TYPE_LSBMASK		(0xFF)
#define FW_DEVA_INIT_MSG_TYPE_OFFSET		(0x0001)
#define FW_DEVA_INIT_MSG_TYPE_SHIFT		(0)
#define FW_DEVA_INIT_MSG_TYPE_SIGNED_FIELD	0
#define FW_DEVA_INIT_MSG_TYPE_TRUSTED		(0)

/* FW_DEVA_INIT     BATCH_START */
#define FW_DEVA_INIT_BATCH_START_START_BIT		7
#define FW_DEVA_INIT_BATCH_START_END_BIT		7
#define FW_DEVA_INIT_BATCH_START_ALIGNMENT		(1)
#define FW_DEVA_INIT_BATCH_START_TYPE		uint8
#define FW_DEVA_INIT_BATCH_START_MASK		(0x80)
#define FW_DEVA_INIT_BATCH_START_LSBMASK		(0x01)
#define FW_DEVA_INIT_BATCH_START_OFFSET		(0x0000)
#define FW_DEVA_INIT_BATCH_START_SHIFT		(7)
#define FW_DEVA_INIT_BATCH_START_SIGNED_FIELD	0
#define FW_DEVA_INIT_BATCH_START_TRUSTED		(0)

/* FW_DEVA_INIT     MSG_SIZE */
#define FW_DEVA_INIT_MSG_SIZE_START_BIT		0
#define FW_DEVA_INIT_MSG_SIZE_END_BIT		6
#define FW_DEVA_INIT_MSG_SIZE_ALIGNMENT		(1)
#define FW_DEVA_INIT_MSG_SIZE_TYPE		uint8
#define FW_DEVA_INIT_MSG_SIZE_MASK		(0x7F)
#define FW_DEVA_INIT_MSG_SIZE_LSBMASK		(0x7F)
#define FW_DEVA_INIT_MSG_SIZE_OFFSET		(0x0000)
#define FW_DEVA_INIT_MSG_SIZE_SHIFT		(0)
#define FW_DEVA_INIT_MSG_SIZE_SIGNED_FIELD	0
#define FW_DEVA_INIT_MSG_SIZE_TRUSTED		(0)

/* FW_DEVA_INIT     PTD */
#define FW_DEVA_INIT_PTD_START_BIT		0
#define FW_DEVA_INIT_PTD_END_BIT		31
#define FW_DEVA_INIT_PTD_ALIGNMENT		(4)
#define FW_DEVA_INIT_PTD_TYPE		uint32
#define FW_DEVA_INIT_PTD_MASK		(0xFFFFFFFF)
#define FW_DEVA_INIT_PTD_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_INIT_PTD_OFFSET		(0x0004)
#define FW_DEVA_INIT_PTD_SHIFT		(0)
#define FW_DEVA_INIT_PTD_SIGNED_FIELD	0
#define FW_DEVA_INIT_PTD_TRUSTED		(0)

/* FW_DEVA_INIT     TRANS_ID */
#define FW_DEVA_INIT_TRANS_ID_START_BIT		0
#define FW_DEVA_INIT_TRANS_ID_END_BIT		31
#define FW_DEVA_INIT_TRANS_ID_ALIGNMENT		(4)
#define FW_DEVA_INIT_TRANS_ID_TYPE		uint32
#define FW_DEVA_INIT_TRANS_ID_MASK		(0xFFFFFFFF)
#define FW_DEVA_INIT_TRANS_ID_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_INIT_TRANS_ID_OFFSET		(0x0008)
#define FW_DEVA_INIT_TRANS_ID_SHIFT		(0)
#define FW_DEVA_INIT_TRANS_ID_SIGNED_FIELD	0
#define FW_DEVA_INIT_TRANS_ID_TRUSTED		(0)

/* FW_DEVA_INIT     RENDEC_ADDR0 */
#define FW_DEVA_INIT_RENDEC_ADDR0_START_BIT		0
#define FW_DEVA_INIT_RENDEC_ADDR0_END_BIT		31
#define FW_DEVA_INIT_RENDEC_ADDR0_ALIGNMENT		(4)
#define FW_DEVA_INIT_RENDEC_ADDR0_TYPE		uint32
#define FW_DEVA_INIT_RENDEC_ADDR0_MASK		(0xFFFFFFFF)
#define FW_DEVA_INIT_RENDEC_ADDR0_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_INIT_RENDEC_ADDR0_OFFSET		(0x000C)
#define FW_DEVA_INIT_RENDEC_ADDR0_SHIFT		(0)
#define FW_DEVA_INIT_RENDEC_ADDR0_SIGNED_FIELD	0
#define FW_DEVA_INIT_RENDEC_ADDR0_TRUSTED		(0)

/* FW_DEVA_INIT     UNUSED1 */
#define FW_DEVA_INIT_UNUSED1_START_BIT		16
#define FW_DEVA_INIT_UNUSED1_END_BIT		31
#define FW_DEVA_INIT_UNUSED1_ALIGNMENT		(2)
#define FW_DEVA_INIT_UNUSED1_TYPE		uint16
#define FW_DEVA_INIT_UNUSED1_MASK		(0xFFFF)
#define FW_DEVA_INIT_UNUSED1_LSBMASK		(0xFFFF)
#define FW_DEVA_INIT_UNUSED1_OFFSET		(0x0012)
#define FW_DEVA_INIT_UNUSED1_SHIFT		(0)
#define FW_DEVA_INIT_UNUSED1_SIGNED_FIELD	0
#define FW_DEVA_INIT_UNUSED1_TRUSTED		(0)

/* FW_DEVA_INIT     RENDEC_SIZE0 */
#define FW_DEVA_INIT_RENDEC_SIZE0_START_BIT		0
#define FW_DEVA_INIT_RENDEC_SIZE0_END_BIT		15
#define FW_DEVA_INIT_RENDEC_SIZE0_ALIGNMENT		(2)
#define FW_DEVA_INIT_RENDEC_SIZE0_TYPE		uint16
#define FW_DEVA_INIT_RENDEC_SIZE0_MASK		(0xFFFF)
#define FW_DEVA_INIT_RENDEC_SIZE0_LSBMASK		(0xFFFF)
#define FW_DEVA_INIT_RENDEC_SIZE0_OFFSET		(0x0010)
#define FW_DEVA_INIT_RENDEC_SIZE0_SHIFT		(0)
#define FW_DEVA_INIT_RENDEC_SIZE0_SIGNED_FIELD	0
#define FW_DEVA_INIT_RENDEC_SIZE0_TRUSTED		(0)

/* FW_DEVA_INIT     HEVC_MAX_H_FOR_PIPE_WAIT */
#define FW_DEVA_INIT_HEVC_MAX_H_FOR_PIPE_WAIT_START_BIT		16
#define FW_DEVA_INIT_HEVC_MAX_H_FOR_PIPE_WAIT_END_BIT		31
#define FW_DEVA_INIT_HEVC_MAX_H_FOR_PIPE_WAIT_ALIGNMENT		(2)
#define FW_DEVA_INIT_HEVC_MAX_H_FOR_PIPE_WAIT_TYPE		uint16
#define FW_DEVA_INIT_HEVC_MAX_H_FOR_PIPE_WAIT_MASK		(0xFFFF)
#define FW_DEVA_INIT_HEVC_MAX_H_FOR_PIPE_WAIT_LSBMASK		(0xFFFF)
#define FW_DEVA_INIT_HEVC_MAX_H_FOR_PIPE_WAIT_OFFSET		(0x0016)
#define FW_DEVA_INIT_HEVC_MAX_H_FOR_PIPE_WAIT_SHIFT		(0)
#define FW_DEVA_INIT_HEVC_MAX_H_FOR_PIPE_WAIT_SIGNED_FIELD	0
#define FW_DEVA_INIT_HEVC_MAX_H_FOR_PIPE_WAIT_TRUSTED		(0)

/* FW_DEVA_INIT     HEVC_MIN_H_FOR_DUAL_PIPE */
#define FW_DEVA_INIT_HEVC_MIN_H_FOR_DUAL_PIPE_START_BIT		0
#define FW_DEVA_INIT_HEVC_MIN_H_FOR_DUAL_PIPE_END_BIT		15
#define FW_DEVA_INIT_HEVC_MIN_H_FOR_DUAL_PIPE_ALIGNMENT		(2)
#define FW_DEVA_INIT_HEVC_MIN_H_FOR_DUAL_PIPE_TYPE		uint16
#define FW_DEVA_INIT_HEVC_MIN_H_FOR_DUAL_PIPE_MASK		(0xFFFF)
#define FW_DEVA_INIT_HEVC_MIN_H_FOR_DUAL_PIPE_LSBMASK		(0xFFFF)
#define FW_DEVA_INIT_HEVC_MIN_H_FOR_DUAL_PIPE_OFFSET		(0x0014)
#define FW_DEVA_INIT_HEVC_MIN_H_FOR_DUAL_PIPE_SHIFT		(0)
#define FW_DEVA_INIT_HEVC_MIN_H_FOR_DUAL_PIPE_SIGNED_FIELD	0
#define FW_DEVA_INIT_HEVC_MIN_H_FOR_DUAL_PIPE_TRUSTED		(0)

/* FW_DEVA_INIT     HW_SIG_SELECT */
#define FW_DEVA_INIT_HW_SIG_SELECT_START_BIT		0
#define FW_DEVA_INIT_HW_SIG_SELECT_END_BIT		31
#define FW_DEVA_INIT_HW_SIG_SELECT_ALIGNMENT		(4)
#define FW_DEVA_INIT_HW_SIG_SELECT_TYPE		uint32
#define FW_DEVA_INIT_HW_SIG_SELECT_MASK		(0xFFFFFFFF)
#define FW_DEVA_INIT_HW_SIG_SELECT_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_INIT_HW_SIG_SELECT_OFFSET		(0x0018)
#define FW_DEVA_INIT_HW_SIG_SELECT_SHIFT		(0)
#define FW_DEVA_INIT_HW_SIG_SELECT_SIGNED_FIELD	0
#define FW_DEVA_INIT_HW_SIG_SELECT_TRUSTED		(0)

/* FW_DEVA_INIT     SPARE */
#define FW_DEVA_INIT_SPARE_START_BIT		16
#define FW_DEVA_INIT_SPARE_END_BIT		31
#define FW_DEVA_INIT_SPARE_ALIGNMENT		(2)
#define FW_DEVA_INIT_SPARE_TYPE		uint16
#define FW_DEVA_INIT_SPARE_MASK		(0xFFFF)
#define FW_DEVA_INIT_SPARE_LSBMASK		(0xFFFF)
#define FW_DEVA_INIT_SPARE_OFFSET		(0x001E)
#define FW_DEVA_INIT_SPARE_SHIFT		(0)
#define FW_DEVA_INIT_SPARE_SIGNED_FIELD	0
#define FW_DEVA_INIT_SPARE_TRUSTED		(0)

/* FW_DEVA_INIT     DBG_RENDEC_DELAY */
#define FW_DEVA_INIT_DBG_RENDEC_DELAY_START_BIT		12
#define FW_DEVA_INIT_DBG_RENDEC_DELAY_END_BIT		15
#define FW_DEVA_INIT_DBG_RENDEC_DELAY_ALIGNMENT		(1)
#define FW_DEVA_INIT_DBG_RENDEC_DELAY_TYPE		uint8
#define FW_DEVA_INIT_DBG_RENDEC_DELAY_MASK		(0xF0)
#define FW_DEVA_INIT_DBG_RENDEC_DELAY_LSBMASK		(0x0F)
#define FW_DEVA_INIT_DBG_RENDEC_DELAY_OFFSET		(0x001D)
#define FW_DEVA_INIT_DBG_RENDEC_DELAY_SHIFT		(4)
#define FW_DEVA_INIT_DBG_RENDEC_DELAY_SIGNED_FIELD	0
#define FW_DEVA_INIT_DBG_RENDEC_DELAY_TRUSTED		(0)

/* FW_DEVA_INIT     DBG_BE_DELAY */
#define FW_DEVA_INIT_DBG_BE_DELAY_START_BIT		8
#define FW_DEVA_INIT_DBG_BE_DELAY_END_BIT		11
#define FW_DEVA_INIT_DBG_BE_DELAY_ALIGNMENT		(1)
#define FW_DEVA_INIT_DBG_BE_DELAY_TYPE		uint8
#define FW_DEVA_INIT_DBG_BE_DELAY_MASK		(0x0F)
#define FW_DEVA_INIT_DBG_BE_DELAY_LSBMASK		(0x0F)
#define FW_DEVA_INIT_DBG_BE_DELAY_OFFSET		(0x001D)
#define FW_DEVA_INIT_DBG_BE_DELAY_SHIFT		(0)
#define FW_DEVA_INIT_DBG_BE_DELAY_SIGNED_FIELD	0
#define FW_DEVA_INIT_DBG_BE_DELAY_TRUSTED		(0)

/* FW_DEVA_INIT     DBG_EP_DELAY */
#define FW_DEVA_INIT_DBG_EP_DELAY_START_BIT		4
#define FW_DEVA_INIT_DBG_EP_DELAY_END_BIT		7
#define FW_DEVA_INIT_DBG_EP_DELAY_ALIGNMENT		(1)
#define FW_DEVA_INIT_DBG_EP_DELAY_TYPE		uint8
#define FW_DEVA_INIT_DBG_EP_DELAY_MASK		(0xF0)
#define FW_DEVA_INIT_DBG_EP_DELAY_LSBMASK		(0x0F)
#define FW_DEVA_INIT_DBG_EP_DELAY_OFFSET		(0x001C)
#define FW_DEVA_INIT_DBG_EP_DELAY_SHIFT		(4)
#define FW_DEVA_INIT_DBG_EP_DELAY_SIGNED_FIELD	0
#define FW_DEVA_INIT_DBG_EP_DELAY_TRUSTED		(0)

/* FW_DEVA_INIT     DBG_FE_DELAY */
#define FW_DEVA_INIT_DBG_FE_DELAY_START_BIT		0
#define FW_DEVA_INIT_DBG_FE_DELAY_END_BIT		3
#define FW_DEVA_INIT_DBG_FE_DELAY_ALIGNMENT		(1)
#define FW_DEVA_INIT_DBG_FE_DELAY_TYPE		uint8
#define FW_DEVA_INIT_DBG_FE_DELAY_MASK		(0x0F)
#define FW_DEVA_INIT_DBG_FE_DELAY_LSBMASK		(0x0F)
#define FW_DEVA_INIT_DBG_FE_DELAY_OFFSET		(0x001C)
#define FW_DEVA_INIT_DBG_FE_DELAY_SHIFT		(0)
#define FW_DEVA_INIT_DBG_FE_DELAY_SIGNED_FIELD	0
#define FW_DEVA_INIT_DBG_FE_DELAY_TRUSTED		(0)

/* FW_DEVA_INIT     PFNT_DIV */
#define FW_DEVA_INIT_PFNT_DIV_START_BIT		16
#define FW_DEVA_INIT_PFNT_DIV_END_BIT		31
#define FW_DEVA_INIT_PFNT_DIV_ALIGNMENT		(2)
#define FW_DEVA_INIT_PFNT_DIV_TYPE		uint16
#define FW_DEVA_INIT_PFNT_DIV_MASK		(0xFFFF)
#define FW_DEVA_INIT_PFNT_DIV_LSBMASK		(0xFFFF)
#define FW_DEVA_INIT_PFNT_DIV_OFFSET		(0x0022)
#define FW_DEVA_INIT_PFNT_DIV_SHIFT		(0)
#define FW_DEVA_INIT_PFNT_DIV_SIGNED_FIELD	0
#define FW_DEVA_INIT_PFNT_DIV_TRUSTED		(0)

/* FW_DEVA_INIT     FWWDT_MS */
#define FW_DEVA_INIT_FWWDT_MS_START_BIT		0
#define FW_DEVA_INIT_FWWDT_MS_END_BIT		15
#define FW_DEVA_INIT_FWWDT_MS_ALIGNMENT		(2)
#define FW_DEVA_INIT_FWWDT_MS_TYPE		uint16
#define FW_DEVA_INIT_FWWDT_MS_MASK		(0xFFFF)
#define FW_DEVA_INIT_FWWDT_MS_LSBMASK		(0xFFFF)
#define FW_DEVA_INIT_FWWDT_MS_OFFSET		(0x0020)
#define FW_DEVA_INIT_FWWDT_MS_SHIFT		(0)
#define FW_DEVA_INIT_FWWDT_MS_SIGNED_FIELD	0
#define FW_DEVA_INIT_FWWDT_MS_TRUSTED		(0)

#define FW_DEVA_DEBLOCK_SIZE		(60)

/* FW_DEVA_DEBLOCK     MSG_ID */
#define FW_DEVA_DEBLOCK_MSG_ID_START_BIT		16
#define FW_DEVA_DEBLOCK_MSG_ID_END_BIT		31
#define FW_DEVA_DEBLOCK_MSG_ID_ALIGNMENT		(2)
#define FW_DEVA_DEBLOCK_MSG_ID_TYPE		uint16
#define FW_DEVA_DEBLOCK_MSG_ID_MASK		(0xFFFF)
#define FW_DEVA_DEBLOCK_MSG_ID_LSBMASK		(0xFFFF)
#define FW_DEVA_DEBLOCK_MSG_ID_OFFSET		(0x0002)
#define FW_DEVA_DEBLOCK_MSG_ID_SHIFT		(0)
#define FW_DEVA_DEBLOCK_MSG_ID_SIGNED_FIELD	0
#define FW_DEVA_DEBLOCK_MSG_ID_TRUSTED		(0)

/* FW_DEVA_DEBLOCK     MSG_TYPE */
#define FW_DEVA_DEBLOCK_MSG_TYPE_START_BIT		8
#define FW_DEVA_DEBLOCK_MSG_TYPE_END_BIT		15
#define FW_DEVA_DEBLOCK_MSG_TYPE_ALIGNMENT		(1)
#define FW_DEVA_DEBLOCK_MSG_TYPE_TYPE		uint8
#define FW_DEVA_DEBLOCK_MSG_TYPE_MASK		(0xFF)
#define FW_DEVA_DEBLOCK_MSG_TYPE_LSBMASK		(0xFF)
#define FW_DEVA_DEBLOCK_MSG_TYPE_OFFSET		(0x0001)
#define FW_DEVA_DEBLOCK_MSG_TYPE_SHIFT		(0)
#define FW_DEVA_DEBLOCK_MSG_TYPE_SIGNED_FIELD	0
#define FW_DEVA_DEBLOCK_MSG_TYPE_TRUSTED		(0)

/* FW_DEVA_DEBLOCK     BATCH_START */
#define FW_DEVA_DEBLOCK_BATCH_START_START_BIT		7
#define FW_DEVA_DEBLOCK_BATCH_START_END_BIT		7
#define FW_DEVA_DEBLOCK_BATCH_START_ALIGNMENT		(1)
#define FW_DEVA_DEBLOCK_BATCH_START_TYPE		uint8
#define FW_DEVA_DEBLOCK_BATCH_START_MASK		(0x80)
#define FW_DEVA_DEBLOCK_BATCH_START_LSBMASK		(0x01)
#define FW_DEVA_DEBLOCK_BATCH_START_OFFSET		(0x0000)
#define FW_DEVA_DEBLOCK_BATCH_START_SHIFT		(7)
#define FW_DEVA_DEBLOCK_BATCH_START_SIGNED_FIELD	0
#define FW_DEVA_DEBLOCK_BATCH_START_TRUSTED		(0)

/* FW_DEVA_DEBLOCK     MSG_SIZE */
#define FW_DEVA_DEBLOCK_MSG_SIZE_START_BIT		0
#define FW_DEVA_DEBLOCK_MSG_SIZE_END_BIT		6
#define FW_DEVA_DEBLOCK_MSG_SIZE_ALIGNMENT		(1)
#define FW_DEVA_DEBLOCK_MSG_SIZE_TYPE		uint8
#define FW_DEVA_DEBLOCK_MSG_SIZE_MASK		(0x7F)
#define FW_DEVA_DEBLOCK_MSG_SIZE_LSBMASK		(0x7F)
#define FW_DEVA_DEBLOCK_MSG_SIZE_OFFSET		(0x0000)
#define FW_DEVA_DEBLOCK_MSG_SIZE_SHIFT		(0)
#define FW_DEVA_DEBLOCK_MSG_SIZE_SIGNED_FIELD	0
#define FW_DEVA_DEBLOCK_MSG_SIZE_TRUSTED		(0)

/* FW_DEVA_DEBLOCK     PTD */
#define FW_DEVA_DEBLOCK_PTD_START_BIT		0
#define FW_DEVA_DEBLOCK_PTD_END_BIT		31
#define FW_DEVA_DEBLOCK_PTD_ALIGNMENT		(4)
#define FW_DEVA_DEBLOCK_PTD_TYPE		uint32
#define FW_DEVA_DEBLOCK_PTD_MASK		(0xFFFFFFFF)
#define FW_DEVA_DEBLOCK_PTD_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_DEBLOCK_PTD_OFFSET		(0x0004)
#define FW_DEVA_DEBLOCK_PTD_SHIFT		(0)
#define FW_DEVA_DEBLOCK_PTD_SIGNED_FIELD	0
#define FW_DEVA_DEBLOCK_PTD_TRUSTED		(0)

/* FW_DEVA_DEBLOCK     TRANS_ID */
#define FW_DEVA_DEBLOCK_TRANS_ID_START_BIT		0
#define FW_DEVA_DEBLOCK_TRANS_ID_END_BIT		31
#define FW_DEVA_DEBLOCK_TRANS_ID_ALIGNMENT		(4)
#define FW_DEVA_DEBLOCK_TRANS_ID_TYPE		uint32
#define FW_DEVA_DEBLOCK_TRANS_ID_MASK		(0xFFFFFFFF)
#define FW_DEVA_DEBLOCK_TRANS_ID_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_DEBLOCK_TRANS_ID_OFFSET		(0x0008)
#define FW_DEVA_DEBLOCK_TRANS_ID_SHIFT		(0)
#define FW_DEVA_DEBLOCK_TRANS_ID_SIGNED_FIELD	0
#define FW_DEVA_DEBLOCK_TRANS_ID_TRUSTED		(0)

/* FW_DEVA_DEBLOCK     RESERVED */
#define FW_DEVA_DEBLOCK_RESERVED_START_BIT		18
#define FW_DEVA_DEBLOCK_RESERVED_END_BIT		31
#define FW_DEVA_DEBLOCK_RESERVED_ALIGNMENT		(2)
#define FW_DEVA_DEBLOCK_RESERVED_TYPE		uint16
#define FW_DEVA_DEBLOCK_RESERVED_MASK		(0xFFFC)
#define FW_DEVA_DEBLOCK_RESERVED_LSBMASK		(0x3FFF)
#define FW_DEVA_DEBLOCK_RESERVED_OFFSET		(0x000E)
#define FW_DEVA_DEBLOCK_RESERVED_SHIFT		(2)
#define FW_DEVA_DEBLOCK_RESERVED_SIGNED_FIELD	0
#define FW_DEVA_DEBLOCK_RESERVED_TRUSTED		(0)

/* FW_DEVA_DEBLOCK     SLICE_FIELD_TYPE */
#define FW_DEVA_DEBLOCK_SLICE_FIELD_TYPE_START_BIT		16
#define FW_DEVA_DEBLOCK_SLICE_FIELD_TYPE_END_BIT		17
#define FW_DEVA_DEBLOCK_SLICE_FIELD_TYPE_ALIGNMENT		(1)
#define FW_DEVA_DEBLOCK_SLICE_FIELD_TYPE_TYPE		uint8
#define FW_DEVA_DEBLOCK_SLICE_FIELD_TYPE_MASK		(0x03)
#define FW_DEVA_DEBLOCK_SLICE_FIELD_TYPE_LSBMASK		(0x03)
#define FW_DEVA_DEBLOCK_SLICE_FIELD_TYPE_OFFSET		(0x000E)
#define FW_DEVA_DEBLOCK_SLICE_FIELD_TYPE_SHIFT		(0)
#define FW_DEVA_DEBLOCK_SLICE_FIELD_TYPE_SIGNED_FIELD	0
#define FW_DEVA_DEBLOCK_SLICE_FIELD_TYPE_TRUSTED		(0)

/* FW_DEVA_DEBLOCK     FLAGS */
#define FW_DEVA_DEBLOCK_FLAGS_START_BIT		0
#define FW_DEVA_DEBLOCK_FLAGS_END_BIT		15
#define FW_DEVA_DEBLOCK_FLAGS_ALIGNMENT		(2)
#define FW_DEVA_DEBLOCK_FLAGS_TYPE		uint16
#define FW_DEVA_DEBLOCK_FLAGS_MASK		(0xFFFF)
#define FW_DEVA_DEBLOCK_FLAGS_LSBMASK		(0xFFFF)
#define FW_DEVA_DEBLOCK_FLAGS_OFFSET		(0x000C)
#define FW_DEVA_DEBLOCK_FLAGS_SHIFT		(0)
#define FW_DEVA_DEBLOCK_FLAGS_SIGNED_FIELD	0
#define FW_DEVA_DEBLOCK_FLAGS_TRUSTED		(0)

/* FW_DEVA_DEBLOCK     OPERATING_MODE */
#define FW_DEVA_DEBLOCK_OPERATING_MODE_START_BIT		0
#define FW_DEVA_DEBLOCK_OPERATING_MODE_END_BIT		31
#define FW_DEVA_DEBLOCK_OPERATING_MODE_ALIGNMENT		(4)
#define FW_DEVA_DEBLOCK_OPERATING_MODE_TYPE		uint32
#define FW_DEVA_DEBLOCK_OPERATING_MODE_MASK		(0xFFFFFFFF)
#define FW_DEVA_DEBLOCK_OPERATING_MODE_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_DEBLOCK_OPERATING_MODE_OFFSET		(0x0010)
#define FW_DEVA_DEBLOCK_OPERATING_MODE_SHIFT		(0)
#define FW_DEVA_DEBLOCK_OPERATING_MODE_SIGNED_FIELD	0
#define FW_DEVA_DEBLOCK_OPERATING_MODE_TRUSTED		(0)

/* FW_DEVA_DEBLOCK     MMUPTD */
#define FW_DEVA_DEBLOCK_MMUPTD_START_BIT		8
#define FW_DEVA_DEBLOCK_MMUPTD_END_BIT		31
#define FW_DEVA_DEBLOCK_MMUPTD_ALIGNMENT		(4)
#define FW_DEVA_DEBLOCK_MMUPTD_TYPE		uint32
#define FW_DEVA_DEBLOCK_MMUPTD_MASK		(0xFFFFFF00)
#define FW_DEVA_DEBLOCK_MMUPTD_LSBMASK		(0x00FFFFFF)
#define FW_DEVA_DEBLOCK_MMUPTD_OFFSET		(0x0014)
#define FW_DEVA_DEBLOCK_MMUPTD_SHIFT		(8)
#define FW_DEVA_DEBLOCK_MMUPTD_SIGNED_FIELD	0
#define FW_DEVA_DEBLOCK_MMUPTD_TRUSTED		(0)

/* FW_DEVA_DEBLOCK     STREAMID */
#define FW_DEVA_DEBLOCK_STREAMID_START_BIT		0
#define FW_DEVA_DEBLOCK_STREAMID_END_BIT		7
#define FW_DEVA_DEBLOCK_STREAMID_ALIGNMENT		(1)
#define FW_DEVA_DEBLOCK_STREAMID_TYPE		uint8
#define FW_DEVA_DEBLOCK_STREAMID_MASK		(0xFF)
#define FW_DEVA_DEBLOCK_STREAMID_LSBMASK		(0xFF)
#define FW_DEVA_DEBLOCK_STREAMID_OFFSET		(0x0014)
#define FW_DEVA_DEBLOCK_STREAMID_SHIFT		(0)
#define FW_DEVA_DEBLOCK_STREAMID_SIGNED_FIELD	0
#define FW_DEVA_DEBLOCK_STREAMID_TRUSTED		(0)

/* FW_DEVA_DEBLOCK     RESB */
#define FW_DEVA_DEBLOCK_RESB_START_BIT		24
#define FW_DEVA_DEBLOCK_RESB_END_BIT		31
#define FW_DEVA_DEBLOCK_RESB_ALIGNMENT		(1)
#define FW_DEVA_DEBLOCK_RESB_TYPE		uint8
#define FW_DEVA_DEBLOCK_RESB_MASK		(0xFF)
#define FW_DEVA_DEBLOCK_RESB_LSBMASK		(0xFF)
#define FW_DEVA_DEBLOCK_RESB_OFFSET		(0x001B)
#define FW_DEVA_DEBLOCK_RESB_SHIFT		(0)
#define FW_DEVA_DEBLOCK_RESB_SIGNED_FIELD	0
#define FW_DEVA_DEBLOCK_RESB_TRUSTED		(0)

/* FW_DEVA_DEBLOCK     PIC_WIDTH_MBS */
#define FW_DEVA_DEBLOCK_PIC_WIDTH_MBS_START_BIT		16
#define FW_DEVA_DEBLOCK_PIC_WIDTH_MBS_END_BIT		23
#define FW_DEVA_DEBLOCK_PIC_WIDTH_MBS_ALIGNMENT		(1)
#define FW_DEVA_DEBLOCK_PIC_WIDTH_MBS_TYPE		uint8
#define FW_DEVA_DEBLOCK_PIC_WIDTH_MBS_MASK		(0xFF)
#define FW_DEVA_DEBLOCK_PIC_WIDTH_MBS_LSBMASK		(0xFF)
#define FW_DEVA_DEBLOCK_PIC_WIDTH_MBS_OFFSET		(0x001A)
#define FW_DEVA_DEBLOCK_PIC_WIDTH_MBS_SHIFT		(0)
#define FW_DEVA_DEBLOCK_PIC_WIDTH_MBS_SIGNED_FIELD	0
#define FW_DEVA_DEBLOCK_PIC_WIDTH_MBS_TRUSTED		(0)

/* FW_DEVA_DEBLOCK     RESA */
#define FW_DEVA_DEBLOCK_RESA_START_BIT		8
#define FW_DEVA_DEBLOCK_RESA_END_BIT		15
#define FW_DEVA_DEBLOCK_RESA_ALIGNMENT		(1)
#define FW_DEVA_DEBLOCK_RESA_TYPE		uint8
#define FW_DEVA_DEBLOCK_RESA_MASK		(0xFF)
#define FW_DEVA_DEBLOCK_RESA_LSBMASK		(0xFF)
#define FW_DEVA_DEBLOCK_RESA_OFFSET		(0x0019)
#define FW_DEVA_DEBLOCK_RESA_SHIFT		(0)
#define FW_DEVA_DEBLOCK_RESA_SIGNED_FIELD	0
#define FW_DEVA_DEBLOCK_RESA_TRUSTED		(0)

/* FW_DEVA_DEBLOCK     FRAME_HEIGHT_MBS */
#define FW_DEVA_DEBLOCK_FRAME_HEIGHT_MBS_START_BIT		0
#define FW_DEVA_DEBLOCK_FRAME_HEIGHT_MBS_END_BIT		7
#define FW_DEVA_DEBLOCK_FRAME_HEIGHT_MBS_ALIGNMENT		(1)
#define FW_DEVA_DEBLOCK_FRAME_HEIGHT_MBS_TYPE		uint8
#define FW_DEVA_DEBLOCK_FRAME_HEIGHT_MBS_MASK		(0xFF)
#define FW_DEVA_DEBLOCK_FRAME_HEIGHT_MBS_LSBMASK		(0xFF)
#define FW_DEVA_DEBLOCK_FRAME_HEIGHT_MBS_OFFSET		(0x0018)
#define FW_DEVA_DEBLOCK_FRAME_HEIGHT_MBS_SHIFT		(0)
#define FW_DEVA_DEBLOCK_FRAME_HEIGHT_MBS_SIGNED_FIELD	0
#define FW_DEVA_DEBLOCK_FRAME_HEIGHT_MBS_TRUSTED		(0)

/* FW_DEVA_DEBLOCK     ADDRESS_A0 */
#define FW_DEVA_DEBLOCK_ADDRESS_A0_START_BIT		0
#define FW_DEVA_DEBLOCK_ADDRESS_A0_END_BIT		31
#define FW_DEVA_DEBLOCK_ADDRESS_A0_ALIGNMENT		(4)
#define FW_DEVA_DEBLOCK_ADDRESS_A0_TYPE		uint32
#define FW_DEVA_DEBLOCK_ADDRESS_A0_MASK		(0xFFFFFFFF)
#define FW_DEVA_DEBLOCK_ADDRESS_A0_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_DEBLOCK_ADDRESS_A0_OFFSET		(0x001C)
#define FW_DEVA_DEBLOCK_ADDRESS_A0_SHIFT		(0)
#define FW_DEVA_DEBLOCK_ADDRESS_A0_SIGNED_FIELD	0
#define FW_DEVA_DEBLOCK_ADDRESS_A0_TRUSTED		(0)

/* FW_DEVA_DEBLOCK     ADDRESS_A1 */
#define FW_DEVA_DEBLOCK_ADDRESS_A1_START_BIT		0
#define FW_DEVA_DEBLOCK_ADDRESS_A1_END_BIT		31
#define FW_DEVA_DEBLOCK_ADDRESS_A1_ALIGNMENT		(4)
#define FW_DEVA_DEBLOCK_ADDRESS_A1_TYPE		uint32
#define FW_DEVA_DEBLOCK_ADDRESS_A1_MASK		(0xFFFFFFFF)
#define FW_DEVA_DEBLOCK_ADDRESS_A1_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_DEBLOCK_ADDRESS_A1_OFFSET		(0x0020)
#define FW_DEVA_DEBLOCK_ADDRESS_A1_SHIFT		(0)
#define FW_DEVA_DEBLOCK_ADDRESS_A1_SIGNED_FIELD	0
#define FW_DEVA_DEBLOCK_ADDRESS_A1_TRUSTED		(0)

/* FW_DEVA_DEBLOCK     MB_PARAM_ADDRESS */
#define FW_DEVA_DEBLOCK_MB_PARAM_ADDRESS_START_BIT		0
#define FW_DEVA_DEBLOCK_MB_PARAM_ADDRESS_END_BIT		31
#define FW_DEVA_DEBLOCK_MB_PARAM_ADDRESS_ALIGNMENT		(4)
#define FW_DEVA_DEBLOCK_MB_PARAM_ADDRESS_TYPE		uint32
#define FW_DEVA_DEBLOCK_MB_PARAM_ADDRESS_MASK		(0xFFFFFFFF)
#define FW_DEVA_DEBLOCK_MB_PARAM_ADDRESS_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_DEBLOCK_MB_PARAM_ADDRESS_OFFSET		(0x0024)
#define FW_DEVA_DEBLOCK_MB_PARAM_ADDRESS_SHIFT		(0)
#define FW_DEVA_DEBLOCK_MB_PARAM_ADDRESS_SIGNED_FIELD	0
#define FW_DEVA_DEBLOCK_MB_PARAM_ADDRESS_TRUSTED		(0)

/* FW_DEVA_DEBLOCK     EXTSTRIDE_A */
#define FW_DEVA_DEBLOCK_EXTSTRIDE_A_START_BIT		0
#define FW_DEVA_DEBLOCK_EXTSTRIDE_A_END_BIT		31
#define FW_DEVA_DEBLOCK_EXTSTRIDE_A_ALIGNMENT		(4)
#define FW_DEVA_DEBLOCK_EXTSTRIDE_A_TYPE		uint32
#define FW_DEVA_DEBLOCK_EXTSTRIDE_A_MASK		(0xFFFFFFFF)
#define FW_DEVA_DEBLOCK_EXTSTRIDE_A_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_DEBLOCK_EXTSTRIDE_A_OFFSET		(0x0028)
#define FW_DEVA_DEBLOCK_EXTSTRIDE_A_SHIFT		(0)
#define FW_DEVA_DEBLOCK_EXTSTRIDE_A_SIGNED_FIELD	0
#define FW_DEVA_DEBLOCK_EXTSTRIDE_A_TRUSTED		(0)

/* FW_DEVA_DEBLOCK     ADDRESS_B0 */
#define FW_DEVA_DEBLOCK_ADDRESS_B0_START_BIT		0
#define FW_DEVA_DEBLOCK_ADDRESS_B0_END_BIT		31
#define FW_DEVA_DEBLOCK_ADDRESS_B0_ALIGNMENT		(4)
#define FW_DEVA_DEBLOCK_ADDRESS_B0_TYPE		uint32
#define FW_DEVA_DEBLOCK_ADDRESS_B0_MASK		(0xFFFFFFFF)
#define FW_DEVA_DEBLOCK_ADDRESS_B0_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_DEBLOCK_ADDRESS_B0_OFFSET		(0x002C)
#define FW_DEVA_DEBLOCK_ADDRESS_B0_SHIFT		(0)
#define FW_DEVA_DEBLOCK_ADDRESS_B0_SIGNED_FIELD	0
#define FW_DEVA_DEBLOCK_ADDRESS_B0_TRUSTED		(0)

/* FW_DEVA_DEBLOCK     ADDRESS_B1 */
#define FW_DEVA_DEBLOCK_ADDRESS_B1_START_BIT		0
#define FW_DEVA_DEBLOCK_ADDRESS_B1_END_BIT		31
#define FW_DEVA_DEBLOCK_ADDRESS_B1_ALIGNMENT		(4)
#define FW_DEVA_DEBLOCK_ADDRESS_B1_TYPE		uint32
#define FW_DEVA_DEBLOCK_ADDRESS_B1_MASK		(0xFFFFFFFF)
#define FW_DEVA_DEBLOCK_ADDRESS_B1_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_DEBLOCK_ADDRESS_B1_OFFSET		(0x0030)
#define FW_DEVA_DEBLOCK_ADDRESS_B1_SHIFT		(0)
#define FW_DEVA_DEBLOCK_ADDRESS_B1_SIGNED_FIELD	0
#define FW_DEVA_DEBLOCK_ADDRESS_B1_TRUSTED		(0)

/* FW_DEVA_DEBLOCK     ALTOUTPUTFLAGS_B */
#define FW_DEVA_DEBLOCK_ALTOUTPUTFLAGS_B_START_BIT		0
#define FW_DEVA_DEBLOCK_ALTOUTPUTFLAGS_B_END_BIT		31
#define FW_DEVA_DEBLOCK_ALTOUTPUTFLAGS_B_ALIGNMENT		(4)
#define FW_DEVA_DEBLOCK_ALTOUTPUTFLAGS_B_TYPE		uint32
#define FW_DEVA_DEBLOCK_ALTOUTPUTFLAGS_B_MASK		(0xFFFFFFFF)
#define FW_DEVA_DEBLOCK_ALTOUTPUTFLAGS_B_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_DEBLOCK_ALTOUTPUTFLAGS_B_OFFSET		(0x0034)
#define FW_DEVA_DEBLOCK_ALTOUTPUTFLAGS_B_SHIFT		(0)
#define FW_DEVA_DEBLOCK_ALTOUTPUTFLAGS_B_SIGNED_FIELD	0
#define FW_DEVA_DEBLOCK_ALTOUTPUTFLAGS_B_TRUSTED		(0)

/* FW_DEVA_DEBLOCK     EXT_STATE_BUFFER */
#define FW_DEVA_DEBLOCK_EXT_STATE_BUFFER_START_BIT		0
#define FW_DEVA_DEBLOCK_EXT_STATE_BUFFER_END_BIT		31
#define FW_DEVA_DEBLOCK_EXT_STATE_BUFFER_ALIGNMENT		(4)
#define FW_DEVA_DEBLOCK_EXT_STATE_BUFFER_TYPE		uint32
#define FW_DEVA_DEBLOCK_EXT_STATE_BUFFER_MASK		(0xFFFFFFFF)
#define FW_DEVA_DEBLOCK_EXT_STATE_BUFFER_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_DEBLOCK_EXT_STATE_BUFFER_OFFSET		(0x0038)
#define FW_DEVA_DEBLOCK_EXT_STATE_BUFFER_SHIFT		(0)
#define FW_DEVA_DEBLOCK_EXT_STATE_BUFFER_SIGNED_FIELD	0
#define FW_DEVA_DEBLOCK_EXT_STATE_BUFFER_TRUSTED		(0)

#define FW_DEVA_COMPLETED_SIZE		(28)

/* FW_DEVA_COMPLETED     MSG_ID */
#define FW_DEVA_COMPLETED_MSG_ID_START_BIT		16
#define FW_DEVA_COMPLETED_MSG_ID_END_BIT		31
#define FW_DEVA_COMPLETED_MSG_ID_ALIGNMENT		(2)
#define FW_DEVA_COMPLETED_MSG_ID_TYPE		uint16
#define FW_DEVA_COMPLETED_MSG_ID_MASK		(0xFFFF)
#define FW_DEVA_COMPLETED_MSG_ID_LSBMASK		(0xFFFF)
#define FW_DEVA_COMPLETED_MSG_ID_OFFSET		(0x0002)
#define FW_DEVA_COMPLETED_MSG_ID_SHIFT		(0)
#define FW_DEVA_COMPLETED_MSG_ID_SIGNED_FIELD	0
#define FW_DEVA_COMPLETED_MSG_ID_TRUSTED		(0)

/* FW_DEVA_COMPLETED     MSG_TYPE */
#define FW_DEVA_COMPLETED_MSG_TYPE_START_BIT		8
#define FW_DEVA_COMPLETED_MSG_TYPE_END_BIT		15
#define FW_DEVA_COMPLETED_MSG_TYPE_ALIGNMENT		(1)
#define FW_DEVA_COMPLETED_MSG_TYPE_TYPE		uint8
#define FW_DEVA_COMPLETED_MSG_TYPE_MASK		(0xFF)
#define FW_DEVA_COMPLETED_MSG_TYPE_LSBMASK		(0xFF)
#define FW_DEVA_COMPLETED_MSG_TYPE_OFFSET		(0x0001)
#define FW_DEVA_COMPLETED_MSG_TYPE_SHIFT		(0)
#define FW_DEVA_COMPLETED_MSG_TYPE_SIGNED_FIELD	0
#define FW_DEVA_COMPLETED_MSG_TYPE_TRUSTED		(0)

/* FW_DEVA_COMPLETED     NOT_LAST_MSG */
#define FW_DEVA_COMPLETED_NOT_LAST_MSG_START_BIT		7
#define FW_DEVA_COMPLETED_NOT_LAST_MSG_END_BIT		7
#define FW_DEVA_COMPLETED_NOT_LAST_MSG_ALIGNMENT		(1)
#define FW_DEVA_COMPLETED_NOT_LAST_MSG_TYPE		uint8
#define FW_DEVA_COMPLETED_NOT_LAST_MSG_MASK		(0x80)
#define FW_DEVA_COMPLETED_NOT_LAST_MSG_LSBMASK		(0x01)
#define FW_DEVA_COMPLETED_NOT_LAST_MSG_OFFSET		(0x0000)
#define FW_DEVA_COMPLETED_NOT_LAST_MSG_SHIFT		(7)
#define FW_DEVA_COMPLETED_NOT_LAST_MSG_SIGNED_FIELD	0
#define FW_DEVA_COMPLETED_NOT_LAST_MSG_TRUSTED		(0)

/* FW_DEVA_COMPLETED     MSG_SIZE */
#define FW_DEVA_COMPLETED_MSG_SIZE_START_BIT		0
#define FW_DEVA_COMPLETED_MSG_SIZE_END_BIT		6
#define FW_DEVA_COMPLETED_MSG_SIZE_ALIGNMENT		(1)
#define FW_DEVA_COMPLETED_MSG_SIZE_TYPE		uint8
#define FW_DEVA_COMPLETED_MSG_SIZE_MASK		(0x7F)
#define FW_DEVA_COMPLETED_MSG_SIZE_LSBMASK		(0x7F)
#define FW_DEVA_COMPLETED_MSG_SIZE_OFFSET		(0x0000)
#define FW_DEVA_COMPLETED_MSG_SIZE_SHIFT		(0)
#define FW_DEVA_COMPLETED_MSG_SIZE_SIGNED_FIELD	0
#define FW_DEVA_COMPLETED_MSG_SIZE_TRUSTED		(0)

/* FW_DEVA_COMPLETED     PTD */
#define FW_DEVA_COMPLETED_PTD_START_BIT		0
#define FW_DEVA_COMPLETED_PTD_END_BIT		31
#define FW_DEVA_COMPLETED_PTD_ALIGNMENT		(4)
#define FW_DEVA_COMPLETED_PTD_TYPE		uint32
#define FW_DEVA_COMPLETED_PTD_MASK		(0xFFFFFFFF)
#define FW_DEVA_COMPLETED_PTD_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_COMPLETED_PTD_OFFSET		(0x0004)
#define FW_DEVA_COMPLETED_PTD_SHIFT		(0)
#define FW_DEVA_COMPLETED_PTD_SIGNED_FIELD	0
#define FW_DEVA_COMPLETED_PTD_TRUSTED		(0)

/* FW_DEVA_COMPLETED     TRANS_ID */
#define FW_DEVA_COMPLETED_TRANS_ID_START_BIT		0
#define FW_DEVA_COMPLETED_TRANS_ID_END_BIT		31
#define FW_DEVA_COMPLETED_TRANS_ID_ALIGNMENT		(4)
#define FW_DEVA_COMPLETED_TRANS_ID_TYPE		uint32
#define FW_DEVA_COMPLETED_TRANS_ID_MASK		(0xFFFFFFFF)
#define FW_DEVA_COMPLETED_TRANS_ID_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_COMPLETED_TRANS_ID_OFFSET		(0x0008)
#define FW_DEVA_COMPLETED_TRANS_ID_SHIFT		(0)
#define FW_DEVA_COMPLETED_TRANS_ID_SIGNED_FIELD	0
#define FW_DEVA_COMPLETED_TRANS_ID_TRUSTED		(0)

/* FW_DEVA_COMPLETED     STATUS_FLAGS */
#define FW_DEVA_COMPLETED_STATUS_FLAGS_START_BIT		16
#define FW_DEVA_COMPLETED_STATUS_FLAGS_END_BIT		31
#define FW_DEVA_COMPLETED_STATUS_FLAGS_ALIGNMENT		(2)
#define FW_DEVA_COMPLETED_STATUS_FLAGS_TYPE		uint16
#define FW_DEVA_COMPLETED_STATUS_FLAGS_MASK		(0xFFFF)
#define FW_DEVA_COMPLETED_STATUS_FLAGS_LSBMASK		(0xFFFF)
#define FW_DEVA_COMPLETED_STATUS_FLAGS_OFFSET		(0x000E)
#define FW_DEVA_COMPLETED_STATUS_FLAGS_SHIFT		(0)
#define FW_DEVA_COMPLETED_STATUS_FLAGS_SIGNED_FIELD	0
#define FW_DEVA_COMPLETED_STATUS_FLAGS_TRUSTED		(0)

/* FW_DEVA_COMPLETED     ERROR_FLAGS */
#define FW_DEVA_COMPLETED_ERROR_FLAGS_START_BIT		0
#define FW_DEVA_COMPLETED_ERROR_FLAGS_END_BIT		15
#define FW_DEVA_COMPLETED_ERROR_FLAGS_ALIGNMENT		(2)
#define FW_DEVA_COMPLETED_ERROR_FLAGS_TYPE		uint16
#define FW_DEVA_COMPLETED_ERROR_FLAGS_MASK		(0xFFFF)
#define FW_DEVA_COMPLETED_ERROR_FLAGS_LSBMASK		(0xFFFF)
#define FW_DEVA_COMPLETED_ERROR_FLAGS_OFFSET		(0x000C)
#define FW_DEVA_COMPLETED_ERROR_FLAGS_SHIFT		(0)
#define FW_DEVA_COMPLETED_ERROR_FLAGS_SIGNED_FIELD	0
#define FW_DEVA_COMPLETED_ERROR_FLAGS_TRUSTED		(0)

/* FW_DEVA_COMPLETED     NUM_BEWDTS */
#define FW_DEVA_COMPLETED_NUM_BEWDTS_START_BIT		0
#define FW_DEVA_COMPLETED_NUM_BEWDTS_END_BIT		31
#define FW_DEVA_COMPLETED_NUM_BEWDTS_ALIGNMENT		(4)
#define FW_DEVA_COMPLETED_NUM_BEWDTS_TYPE		uint32
#define FW_DEVA_COMPLETED_NUM_BEWDTS_MASK		(0xFFFFFFFF)
#define FW_DEVA_COMPLETED_NUM_BEWDTS_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_COMPLETED_NUM_BEWDTS_OFFSET		(0x0010)
#define FW_DEVA_COMPLETED_NUM_BEWDTS_SHIFT		(0)
#define FW_DEVA_COMPLETED_NUM_BEWDTS_SIGNED_FIELD	0
#define FW_DEVA_COMPLETED_NUM_BEWDTS_TRUSTED		(0)

/* FW_DEVA_COMPLETED     NUM_MBSDROPPED */
#define FW_DEVA_COMPLETED_NUM_MBSDROPPED_START_BIT		0
#define FW_DEVA_COMPLETED_NUM_MBSDROPPED_END_BIT		31
#define FW_DEVA_COMPLETED_NUM_MBSDROPPED_ALIGNMENT		(4)
#define FW_DEVA_COMPLETED_NUM_MBSDROPPED_TYPE		uint32
#define FW_DEVA_COMPLETED_NUM_MBSDROPPED_MASK		(0xFFFFFFFF)
#define FW_DEVA_COMPLETED_NUM_MBSDROPPED_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_COMPLETED_NUM_MBSDROPPED_OFFSET		(0x0014)
#define FW_DEVA_COMPLETED_NUM_MBSDROPPED_SHIFT		(0)
#define FW_DEVA_COMPLETED_NUM_MBSDROPPED_SIGNED_FIELD	0
#define FW_DEVA_COMPLETED_NUM_MBSDROPPED_TRUSTED		(0)

/* FW_DEVA_COMPLETED     NUM_MBSRECOVERED */
#define FW_DEVA_COMPLETED_NUM_MBSRECOVERED_START_BIT		0
#define FW_DEVA_COMPLETED_NUM_MBSRECOVERED_END_BIT		31
#define FW_DEVA_COMPLETED_NUM_MBSRECOVERED_ALIGNMENT		(4)
#define FW_DEVA_COMPLETED_NUM_MBSRECOVERED_TYPE		uint32
#define FW_DEVA_COMPLETED_NUM_MBSRECOVERED_MASK		(0xFFFFFFFF)
#define FW_DEVA_COMPLETED_NUM_MBSRECOVERED_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_COMPLETED_NUM_MBSRECOVERED_OFFSET		(0x0018)
#define FW_DEVA_COMPLETED_NUM_MBSRECOVERED_SHIFT		(0)
#define FW_DEVA_COMPLETED_NUM_MBSRECOVERED_SIGNED_FIELD	0
#define FW_DEVA_COMPLETED_NUM_MBSRECOVERED_TRUSTED		(0)

#define FW_DEVA_PANIC_SIZE		(16)

/* FW_DEVA_PANIC     MSG_ID */
#define FW_DEVA_PANIC_MSG_ID_START_BIT		16
#define FW_DEVA_PANIC_MSG_ID_END_BIT		31
#define FW_DEVA_PANIC_MSG_ID_ALIGNMENT		(2)
#define FW_DEVA_PANIC_MSG_ID_TYPE		uint16
#define FW_DEVA_PANIC_MSG_ID_MASK		(0xFFFF)
#define FW_DEVA_PANIC_MSG_ID_LSBMASK		(0xFFFF)
#define FW_DEVA_PANIC_MSG_ID_OFFSET		(0x0002)
#define FW_DEVA_PANIC_MSG_ID_SHIFT		(0)
#define FW_DEVA_PANIC_MSG_ID_SIGNED_FIELD	0
#define FW_DEVA_PANIC_MSG_ID_TRUSTED		(0)

/* FW_DEVA_PANIC     MSG_TYPE */
#define FW_DEVA_PANIC_MSG_TYPE_START_BIT		8
#define FW_DEVA_PANIC_MSG_TYPE_END_BIT		15
#define FW_DEVA_PANIC_MSG_TYPE_ALIGNMENT		(1)
#define FW_DEVA_PANIC_MSG_TYPE_TYPE		uint8
#define FW_DEVA_PANIC_MSG_TYPE_MASK		(0xFF)
#define FW_DEVA_PANIC_MSG_TYPE_LSBMASK		(0xFF)
#define FW_DEVA_PANIC_MSG_TYPE_OFFSET		(0x0001)
#define FW_DEVA_PANIC_MSG_TYPE_SHIFT		(0)
#define FW_DEVA_PANIC_MSG_TYPE_SIGNED_FIELD	0
#define FW_DEVA_PANIC_MSG_TYPE_TRUSTED		(0)

/* FW_DEVA_PANIC     UNUSED */
#define FW_DEVA_PANIC_UNUSED_START_BIT		7
#define FW_DEVA_PANIC_UNUSED_END_BIT		7
#define FW_DEVA_PANIC_UNUSED_ALIGNMENT		(1)
#define FW_DEVA_PANIC_UNUSED_TYPE		uint8
#define FW_DEVA_PANIC_UNUSED_MASK		(0x80)
#define FW_DEVA_PANIC_UNUSED_LSBMASK		(0x01)
#define FW_DEVA_PANIC_UNUSED_OFFSET		(0x0000)
#define FW_DEVA_PANIC_UNUSED_SHIFT		(7)
#define FW_DEVA_PANIC_UNUSED_SIGNED_FIELD	0
#define FW_DEVA_PANIC_UNUSED_TRUSTED		(0)

/* FW_DEVA_PANIC     MSG_SIZE */
#define FW_DEVA_PANIC_MSG_SIZE_START_BIT		0
#define FW_DEVA_PANIC_MSG_SIZE_END_BIT		6
#define FW_DEVA_PANIC_MSG_SIZE_ALIGNMENT		(1)
#define FW_DEVA_PANIC_MSG_SIZE_TYPE		uint8
#define FW_DEVA_PANIC_MSG_SIZE_MASK		(0x7F)
#define FW_DEVA_PANIC_MSG_SIZE_LSBMASK		(0x7F)
#define FW_DEVA_PANIC_MSG_SIZE_OFFSET		(0x0000)
#define FW_DEVA_PANIC_MSG_SIZE_SHIFT		(0)
#define FW_DEVA_PANIC_MSG_SIZE_SIGNED_FIELD	0
#define FW_DEVA_PANIC_MSG_SIZE_TRUSTED		(0)

/* FW_DEVA_PANIC     PTD */
#define FW_DEVA_PANIC_PTD_START_BIT		0
#define FW_DEVA_PANIC_PTD_END_BIT		31
#define FW_DEVA_PANIC_PTD_ALIGNMENT		(4)
#define FW_DEVA_PANIC_PTD_TYPE		uint32
#define FW_DEVA_PANIC_PTD_MASK		(0xFFFFFFFF)
#define FW_DEVA_PANIC_PTD_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_PANIC_PTD_OFFSET		(0x0004)
#define FW_DEVA_PANIC_PTD_SHIFT		(0)
#define FW_DEVA_PANIC_PTD_SIGNED_FIELD	0
#define FW_DEVA_PANIC_PTD_TRUSTED		(0)

/* FW_DEVA_PANIC     TRANS_ID */
#define FW_DEVA_PANIC_TRANS_ID_START_BIT		0
#define FW_DEVA_PANIC_TRANS_ID_END_BIT		31
#define FW_DEVA_PANIC_TRANS_ID_ALIGNMENT		(4)
#define FW_DEVA_PANIC_TRANS_ID_TYPE		uint32
#define FW_DEVA_PANIC_TRANS_ID_MASK		(0xFFFFFFFF)
#define FW_DEVA_PANIC_TRANS_ID_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_PANIC_TRANS_ID_OFFSET		(0x0008)
#define FW_DEVA_PANIC_TRANS_ID_SHIFT		(0)
#define FW_DEVA_PANIC_TRANS_ID_SIGNED_FIELD	0
#define FW_DEVA_PANIC_TRANS_ID_TRUSTED		(0)

/* FW_DEVA_PANIC     ERROR_INT */
#define FW_DEVA_PANIC_ERROR_INT_START_BIT		0
#define FW_DEVA_PANIC_ERROR_INT_END_BIT		31
#define FW_DEVA_PANIC_ERROR_INT_ALIGNMENT		(4)
#define FW_DEVA_PANIC_ERROR_INT_TYPE		uint32
#define FW_DEVA_PANIC_ERROR_INT_MASK		(0xFFFFFFFF)
#define FW_DEVA_PANIC_ERROR_INT_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_PANIC_ERROR_INT_OFFSET		(0x000C)
#define FW_DEVA_PANIC_ERROR_INT_SHIFT		(0)
#define FW_DEVA_PANIC_ERROR_INT_SIGNED_FIELD	0
#define FW_DEVA_PANIC_ERROR_INT_TRUSTED		(0)

#define FW_ASSERT_SIZE		(12)

/* FW_ASSERT     MSG_ID */
#define FW_ASSERT_MSG_ID_START_BIT		16
#define FW_ASSERT_MSG_ID_END_BIT		31
#define FW_ASSERT_MSG_ID_ALIGNMENT		(2)
#define FW_ASSERT_MSG_ID_TYPE		uint16
#define FW_ASSERT_MSG_ID_MASK		(0xFFFF)
#define FW_ASSERT_MSG_ID_LSBMASK		(0xFFFF)
#define FW_ASSERT_MSG_ID_OFFSET		(0x0002)
#define FW_ASSERT_MSG_ID_SHIFT		(0)
#define FW_ASSERT_MSG_ID_SIGNED_FIELD	0
#define FW_ASSERT_MSG_ID_TRUSTED		(0)

/* FW_ASSERT     MSG_TYPE */
#define FW_ASSERT_MSG_TYPE_START_BIT		8
#define FW_ASSERT_MSG_TYPE_END_BIT		15
#define FW_ASSERT_MSG_TYPE_ALIGNMENT		(1)
#define FW_ASSERT_MSG_TYPE_TYPE		uint8
#define FW_ASSERT_MSG_TYPE_MASK		(0xFF)
#define FW_ASSERT_MSG_TYPE_LSBMASK		(0xFF)
#define FW_ASSERT_MSG_TYPE_OFFSET		(0x0001)
#define FW_ASSERT_MSG_TYPE_SHIFT		(0)
#define FW_ASSERT_MSG_TYPE_SIGNED_FIELD	0
#define FW_ASSERT_MSG_TYPE_TRUSTED		(0)

/* FW_ASSERT     UNUSED */
#define FW_ASSERT_UNUSED_START_BIT		7
#define FW_ASSERT_UNUSED_END_BIT		7
#define FW_ASSERT_UNUSED_ALIGNMENT		(1)
#define FW_ASSERT_UNUSED_TYPE		uint8
#define FW_ASSERT_UNUSED_MASK		(0x80)
#define FW_ASSERT_UNUSED_LSBMASK		(0x01)
#define FW_ASSERT_UNUSED_OFFSET		(0x0000)
#define FW_ASSERT_UNUSED_SHIFT		(7)
#define FW_ASSERT_UNUSED_SIGNED_FIELD	0
#define FW_ASSERT_UNUSED_TRUSTED		(0)

/* FW_ASSERT     MSG_SIZE */
#define FW_ASSERT_MSG_SIZE_START_BIT		0
#define FW_ASSERT_MSG_SIZE_END_BIT		6
#define FW_ASSERT_MSG_SIZE_ALIGNMENT		(1)
#define FW_ASSERT_MSG_SIZE_TYPE		uint8
#define FW_ASSERT_MSG_SIZE_MASK		(0x7F)
#define FW_ASSERT_MSG_SIZE_LSBMASK		(0x7F)
#define FW_ASSERT_MSG_SIZE_OFFSET		(0x0000)
#define FW_ASSERT_MSG_SIZE_SHIFT		(0)
#define FW_ASSERT_MSG_SIZE_SIGNED_FIELD	0
#define FW_ASSERT_MSG_SIZE_TRUSTED		(0)

/* FW_ASSERT     FILE_NAME_HASH */
#define FW_ASSERT_FILE_NAME_HASH_START_BIT		0
#define FW_ASSERT_FILE_NAME_HASH_END_BIT		31
#define FW_ASSERT_FILE_NAME_HASH_ALIGNMENT		(4)
#define FW_ASSERT_FILE_NAME_HASH_TYPE		uint32
#define FW_ASSERT_FILE_NAME_HASH_MASK		(0xFFFFFFFF)
#define FW_ASSERT_FILE_NAME_HASH_LSBMASK		(0xFFFFFFFF)
#define FW_ASSERT_FILE_NAME_HASH_OFFSET		(0x0004)
#define FW_ASSERT_FILE_NAME_HASH_SHIFT		(0)
#define FW_ASSERT_FILE_NAME_HASH_SIGNED_FIELD	0
#define FW_ASSERT_FILE_NAME_HASH_TRUSTED		(0)

/* FW_ASSERT     FILE_LINE */
#define FW_ASSERT_FILE_LINE_START_BIT		1
#define FW_ASSERT_FILE_LINE_END_BIT		31
#define FW_ASSERT_FILE_LINE_ALIGNMENT		(4)
#define FW_ASSERT_FILE_LINE_TYPE		uint32
#define FW_ASSERT_FILE_LINE_MASK		(0xFFFFFFFE)
#define FW_ASSERT_FILE_LINE_LSBMASK		(0x7FFFFFFF)
#define FW_ASSERT_FILE_LINE_OFFSET		(0x0008)
#define FW_ASSERT_FILE_LINE_SHIFT		(1)
#define FW_ASSERT_FILE_LINE_SIGNED_FIELD	0
#define FW_ASSERT_FILE_LINE_TRUSTED		(0)

/* FW_ASSERT     SECURE */
#define FW_ASSERT_SECURE_START_BIT		0
#define FW_ASSERT_SECURE_END_BIT		0
#define FW_ASSERT_SECURE_ALIGNMENT		(1)
#define FW_ASSERT_SECURE_TYPE		uint8
#define FW_ASSERT_SECURE_MASK		(0x01)
#define FW_ASSERT_SECURE_LSBMASK		(0x01)
#define FW_ASSERT_SECURE_OFFSET		(0x0008)
#define FW_ASSERT_SECURE_SHIFT		(0)
#define FW_ASSERT_SECURE_SIGNED_FIELD	0
#define FW_ASSERT_SECURE_TRUSTED		(0)

#define FW_SO_SIZE		(8)

/* FW_SO     MSG_ID */
#define FW_SO_MSG_ID_START_BIT		16
#define FW_SO_MSG_ID_END_BIT		31
#define FW_SO_MSG_ID_ALIGNMENT		(2)
#define FW_SO_MSG_ID_TYPE		uint16
#define FW_SO_MSG_ID_MASK		(0xFFFF)
#define FW_SO_MSG_ID_LSBMASK		(0xFFFF)
#define FW_SO_MSG_ID_OFFSET		(0x0002)
#define FW_SO_MSG_ID_SHIFT		(0)
#define FW_SO_MSG_ID_SIGNED_FIELD	0
#define FW_SO_MSG_ID_TRUSTED		(0)

/* FW_SO     MSG_TYPE */
#define FW_SO_MSG_TYPE_START_BIT		8
#define FW_SO_MSG_TYPE_END_BIT		15
#define FW_SO_MSG_TYPE_ALIGNMENT		(1)
#define FW_SO_MSG_TYPE_TYPE		uint8
#define FW_SO_MSG_TYPE_MASK		(0xFF)
#define FW_SO_MSG_TYPE_LSBMASK		(0xFF)
#define FW_SO_MSG_TYPE_OFFSET		(0x0001)
#define FW_SO_MSG_TYPE_SHIFT		(0)
#define FW_SO_MSG_TYPE_SIGNED_FIELD	0
#define FW_SO_MSG_TYPE_TRUSTED		(0)

/* FW_SO     UNUSED */
#define FW_SO_UNUSED_START_BIT		7
#define FW_SO_UNUSED_END_BIT		7
#define FW_SO_UNUSED_ALIGNMENT		(1)
#define FW_SO_UNUSED_TYPE		uint8
#define FW_SO_UNUSED_MASK		(0x80)
#define FW_SO_UNUSED_LSBMASK		(0x01)
#define FW_SO_UNUSED_OFFSET		(0x0000)
#define FW_SO_UNUSED_SHIFT		(7)
#define FW_SO_UNUSED_SIGNED_FIELD	0
#define FW_SO_UNUSED_TRUSTED		(0)

/* FW_SO     MSG_SIZE */
#define FW_SO_MSG_SIZE_START_BIT		0
#define FW_SO_MSG_SIZE_END_BIT		6
#define FW_SO_MSG_SIZE_ALIGNMENT		(1)
#define FW_SO_MSG_SIZE_TYPE		uint8
#define FW_SO_MSG_SIZE_MASK		(0x7F)
#define FW_SO_MSG_SIZE_LSBMASK		(0x7F)
#define FW_SO_MSG_SIZE_OFFSET		(0x0000)
#define FW_SO_MSG_SIZE_SHIFT		(0)
#define FW_SO_MSG_SIZE_SIGNED_FIELD	0
#define FW_SO_MSG_SIZE_TRUSTED		(0)

/* FW_SO     TASK_NAME */
#define FW_SO_TASK_NAME_START_BIT		0
#define FW_SO_TASK_NAME_END_BIT		31
#define FW_SO_TASK_NAME_ALIGNMENT		(4)
#define FW_SO_TASK_NAME_TYPE		uint32
#define FW_SO_TASK_NAME_MASK		(0xFFFFFFFF)
#define FW_SO_TASK_NAME_LSBMASK		(0xFFFFFFFF)
#define FW_SO_TASK_NAME_OFFSET		(0x0004)
#define FW_SO_TASK_NAME_SHIFT		(0)
#define FW_SO_TASK_NAME_SIGNED_FIELD	0
#define FW_SO_TASK_NAME_TRUSTED		(0)

#define FW_DEVA_CONTIGUITY_WARNING_SIZE		(16)

/* FW_DEVA_CONTIGUITY_WARNING     MSG_ID */
#define FW_DEVA_CONTIGUITY_WARNING_MSG_ID_START_BIT		16
#define FW_DEVA_CONTIGUITY_WARNING_MSG_ID_END_BIT		31
#define FW_DEVA_CONTIGUITY_WARNING_MSG_ID_ALIGNMENT		(2)
#define FW_DEVA_CONTIGUITY_WARNING_MSG_ID_TYPE		uint16
#define FW_DEVA_CONTIGUITY_WARNING_MSG_ID_MASK		(0xFFFF)
#define FW_DEVA_CONTIGUITY_WARNING_MSG_ID_LSBMASK		(0xFFFF)
#define FW_DEVA_CONTIGUITY_WARNING_MSG_ID_OFFSET		(0x0002)
#define FW_DEVA_CONTIGUITY_WARNING_MSG_ID_SHIFT		(0)
#define FW_DEVA_CONTIGUITY_WARNING_MSG_ID_SIGNED_FIELD	0
#define FW_DEVA_CONTIGUITY_WARNING_MSG_ID_TRUSTED		(0)

/* FW_DEVA_CONTIGUITY_WARNING     MSG_TYPE */
#define FW_DEVA_CONTIGUITY_WARNING_MSG_TYPE_START_BIT		8
#define FW_DEVA_CONTIGUITY_WARNING_MSG_TYPE_END_BIT		15
#define FW_DEVA_CONTIGUITY_WARNING_MSG_TYPE_ALIGNMENT		(1)
#define FW_DEVA_CONTIGUITY_WARNING_MSG_TYPE_TYPE		uint8
#define FW_DEVA_CONTIGUITY_WARNING_MSG_TYPE_MASK		(0xFF)
#define FW_DEVA_CONTIGUITY_WARNING_MSG_TYPE_LSBMASK		(0xFF)
#define FW_DEVA_CONTIGUITY_WARNING_MSG_TYPE_OFFSET		(0x0001)
#define FW_DEVA_CONTIGUITY_WARNING_MSG_TYPE_SHIFT		(0)
#define FW_DEVA_CONTIGUITY_WARNING_MSG_TYPE_SIGNED_FIELD	0
#define FW_DEVA_CONTIGUITY_WARNING_MSG_TYPE_TRUSTED		(0)

/* FW_DEVA_CONTIGUITY_WARNING     MSG_SIZE */
#define FW_DEVA_CONTIGUITY_WARNING_MSG_SIZE_START_BIT		0
#define FW_DEVA_CONTIGUITY_WARNING_MSG_SIZE_END_BIT		7
#define FW_DEVA_CONTIGUITY_WARNING_MSG_SIZE_ALIGNMENT		(1)
#define FW_DEVA_CONTIGUITY_WARNING_MSG_SIZE_TYPE		uint8
#define FW_DEVA_CONTIGUITY_WARNING_MSG_SIZE_MASK		(0xFF)
#define FW_DEVA_CONTIGUITY_WARNING_MSG_SIZE_LSBMASK		(0xFF)
#define FW_DEVA_CONTIGUITY_WARNING_MSG_SIZE_OFFSET		(0x0000)
#define FW_DEVA_CONTIGUITY_WARNING_MSG_SIZE_SHIFT		(0)
#define FW_DEVA_CONTIGUITY_WARNING_MSG_SIZE_SIGNED_FIELD	0
#define FW_DEVA_CONTIGUITY_WARNING_MSG_SIZE_TRUSTED		(0)

/* FW_DEVA_CONTIGUITY_WARNING     PTD */
#define FW_DEVA_CONTIGUITY_WARNING_PTD_START_BIT		0
#define FW_DEVA_CONTIGUITY_WARNING_PTD_END_BIT		31
#define FW_DEVA_CONTIGUITY_WARNING_PTD_ALIGNMENT		(4)
#define FW_DEVA_CONTIGUITY_WARNING_PTD_TYPE		uint32
#define FW_DEVA_CONTIGUITY_WARNING_PTD_MASK		(0xFFFFFFFF)
#define FW_DEVA_CONTIGUITY_WARNING_PTD_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_CONTIGUITY_WARNING_PTD_OFFSET		(0x0004)
#define FW_DEVA_CONTIGUITY_WARNING_PTD_SHIFT		(0)
#define FW_DEVA_CONTIGUITY_WARNING_PTD_SIGNED_FIELD	0
#define FW_DEVA_CONTIGUITY_WARNING_PTD_TRUSTED		(0)

/* FW_DEVA_CONTIGUITY_WARNING     TRANS_ID */
#define FW_DEVA_CONTIGUITY_WARNING_TRANS_ID_START_BIT		0
#define FW_DEVA_CONTIGUITY_WARNING_TRANS_ID_END_BIT		31
#define FW_DEVA_CONTIGUITY_WARNING_TRANS_ID_ALIGNMENT		(4)
#define FW_DEVA_CONTIGUITY_WARNING_TRANS_ID_TYPE		uint32
#define FW_DEVA_CONTIGUITY_WARNING_TRANS_ID_MASK		(0xFFFFFFFF)
#define FW_DEVA_CONTIGUITY_WARNING_TRANS_ID_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_CONTIGUITY_WARNING_TRANS_ID_OFFSET		(0x0008)
#define FW_DEVA_CONTIGUITY_WARNING_TRANS_ID_SHIFT		(0)
#define FW_DEVA_CONTIGUITY_WARNING_TRANS_ID_SIGNED_FIELD	0
#define FW_DEVA_CONTIGUITY_WARNING_TRANS_ID_TRUSTED		(0)

/* FW_DEVA_CONTIGUITY_WARNING     END_MB_NUM */
#define FW_DEVA_CONTIGUITY_WARNING_END_MB_NUM_START_BIT		0
#define FW_DEVA_CONTIGUITY_WARNING_END_MB_NUM_END_BIT		15
#define FW_DEVA_CONTIGUITY_WARNING_END_MB_NUM_ALIGNMENT		(2)
#define FW_DEVA_CONTIGUITY_WARNING_END_MB_NUM_TYPE		uint16
#define FW_DEVA_CONTIGUITY_WARNING_END_MB_NUM_MASK		(0xFFFF)
#define FW_DEVA_CONTIGUITY_WARNING_END_MB_NUM_LSBMASK		(0xFFFF)
#define FW_DEVA_CONTIGUITY_WARNING_END_MB_NUM_OFFSET		(0x000C)
#define FW_DEVA_CONTIGUITY_WARNING_END_MB_NUM_SHIFT		(0)
#define FW_DEVA_CONTIGUITY_WARNING_END_MB_NUM_SIGNED_FIELD	0
#define FW_DEVA_CONTIGUITY_WARNING_END_MB_NUM_TRUSTED		(0)

/* FW_DEVA_CONTIGUITY_WARNING     BEGIN_MB_NUM */
#define FW_DEVA_CONTIGUITY_WARNING_BEGIN_MB_NUM_START_BIT		16
#define FW_DEVA_CONTIGUITY_WARNING_BEGIN_MB_NUM_END_BIT		31
#define FW_DEVA_CONTIGUITY_WARNING_BEGIN_MB_NUM_ALIGNMENT		(2)
#define FW_DEVA_CONTIGUITY_WARNING_BEGIN_MB_NUM_TYPE		uint16
#define FW_DEVA_CONTIGUITY_WARNING_BEGIN_MB_NUM_MASK		(0xFFFF)
#define FW_DEVA_CONTIGUITY_WARNING_BEGIN_MB_NUM_LSBMASK		(0xFFFF)
#define FW_DEVA_CONTIGUITY_WARNING_BEGIN_MB_NUM_OFFSET		(0x000E)
#define FW_DEVA_CONTIGUITY_WARNING_BEGIN_MB_NUM_SHIFT		(0)
#define FW_DEVA_CONTIGUITY_WARNING_BEGIN_MB_NUM_SIGNED_FIELD	0
#define FW_DEVA_CONTIGUITY_WARNING_BEGIN_MB_NUM_TRUSTED		(0)

#define FW_DEVA_SIGNATURES_SIZE		(20)

/* FW_DEVA_SIGNATURES     MSG_ID */
#define FW_DEVA_SIGNATURES_MSG_ID_START_BIT		16
#define FW_DEVA_SIGNATURES_MSG_ID_END_BIT		31
#define FW_DEVA_SIGNATURES_MSG_ID_ALIGNMENT		(2)
#define FW_DEVA_SIGNATURES_MSG_ID_TYPE		uint16
#define FW_DEVA_SIGNATURES_MSG_ID_MASK		(0xFFFF)
#define FW_DEVA_SIGNATURES_MSG_ID_LSBMASK		(0xFFFF)
#define FW_DEVA_SIGNATURES_MSG_ID_OFFSET		(0x0002)
#define FW_DEVA_SIGNATURES_MSG_ID_SHIFT		(0)
#define FW_DEVA_SIGNATURES_MSG_ID_SIGNED_FIELD	0
#define FW_DEVA_SIGNATURES_MSG_ID_TRUSTED		(0)

/* FW_DEVA_SIGNATURES     MSG_TYPE */
#define FW_DEVA_SIGNATURES_MSG_TYPE_START_BIT		8
#define FW_DEVA_SIGNATURES_MSG_TYPE_END_BIT		15
#define FW_DEVA_SIGNATURES_MSG_TYPE_ALIGNMENT		(1)
#define FW_DEVA_SIGNATURES_MSG_TYPE_TYPE		uint8
#define FW_DEVA_SIGNATURES_MSG_TYPE_MASK		(0xFF)
#define FW_DEVA_SIGNATURES_MSG_TYPE_LSBMASK		(0xFF)
#define FW_DEVA_SIGNATURES_MSG_TYPE_OFFSET		(0x0001)
#define FW_DEVA_SIGNATURES_MSG_TYPE_SHIFT		(0)
#define FW_DEVA_SIGNATURES_MSG_TYPE_SIGNED_FIELD	0
#define FW_DEVA_SIGNATURES_MSG_TYPE_TRUSTED		(0)

/* FW_DEVA_SIGNATURES     NOT_LAST_MSG */
#define FW_DEVA_SIGNATURES_NOT_LAST_MSG_START_BIT		7
#define FW_DEVA_SIGNATURES_NOT_LAST_MSG_END_BIT		7
#define FW_DEVA_SIGNATURES_NOT_LAST_MSG_ALIGNMENT		(1)
#define FW_DEVA_SIGNATURES_NOT_LAST_MSG_TYPE		uint8
#define FW_DEVA_SIGNATURES_NOT_LAST_MSG_MASK		(0x80)
#define FW_DEVA_SIGNATURES_NOT_LAST_MSG_LSBMASK		(0x01)
#define FW_DEVA_SIGNATURES_NOT_LAST_MSG_OFFSET		(0x0000)
#define FW_DEVA_SIGNATURES_NOT_LAST_MSG_SHIFT		(7)
#define FW_DEVA_SIGNATURES_NOT_LAST_MSG_SIGNED_FIELD	0
#define FW_DEVA_SIGNATURES_NOT_LAST_MSG_TRUSTED		(0)

/* FW_DEVA_SIGNATURES     MSG_SIZE */
#define FW_DEVA_SIGNATURES_MSG_SIZE_START_BIT		0
#define FW_DEVA_SIGNATURES_MSG_SIZE_END_BIT		6
#define FW_DEVA_SIGNATURES_MSG_SIZE_ALIGNMENT		(1)
#define FW_DEVA_SIGNATURES_MSG_SIZE_TYPE		uint8
#define FW_DEVA_SIGNATURES_MSG_SIZE_MASK		(0x7F)
#define FW_DEVA_SIGNATURES_MSG_SIZE_LSBMASK		(0x7F)
#define FW_DEVA_SIGNATURES_MSG_SIZE_OFFSET		(0x0000)
#define FW_DEVA_SIGNATURES_MSG_SIZE_SHIFT		(0)
#define FW_DEVA_SIGNATURES_MSG_SIZE_SIGNED_FIELD	0
#define FW_DEVA_SIGNATURES_MSG_SIZE_TRUSTED		(0)

/* FW_DEVA_SIGNATURES     PTD */
#define FW_DEVA_SIGNATURES_PTD_START_BIT		0
#define FW_DEVA_SIGNATURES_PTD_END_BIT		31
#define FW_DEVA_SIGNATURES_PTD_ALIGNMENT		(4)
#define FW_DEVA_SIGNATURES_PTD_TYPE		uint32
#define FW_DEVA_SIGNATURES_PTD_MASK		(0xFFFFFFFF)
#define FW_DEVA_SIGNATURES_PTD_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_SIGNATURES_PTD_OFFSET		(0x0004)
#define FW_DEVA_SIGNATURES_PTD_SHIFT		(0)
#define FW_DEVA_SIGNATURES_PTD_SIGNED_FIELD	0
#define FW_DEVA_SIGNATURES_PTD_TRUSTED		(0)

/* FW_DEVA_SIGNATURES     TRANS_ID */
#define FW_DEVA_SIGNATURES_TRANS_ID_START_BIT		0
#define FW_DEVA_SIGNATURES_TRANS_ID_END_BIT		31
#define FW_DEVA_SIGNATURES_TRANS_ID_ALIGNMENT		(4)
#define FW_DEVA_SIGNATURES_TRANS_ID_TYPE		uint32
#define FW_DEVA_SIGNATURES_TRANS_ID_MASK		(0xFFFFFFFF)
#define FW_DEVA_SIGNATURES_TRANS_ID_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_SIGNATURES_TRANS_ID_OFFSET		(0x0008)
#define FW_DEVA_SIGNATURES_TRANS_ID_SHIFT		(0)
#define FW_DEVA_SIGNATURES_TRANS_ID_SIGNED_FIELD	0
#define FW_DEVA_SIGNATURES_TRANS_ID_TRUSTED		(0)

/* FW_DEVA_SIGNATURES     SIGNATURE_SELECT */
#define FW_DEVA_SIGNATURES_SIGNATURE_SELECT_START_BIT		0
#define FW_DEVA_SIGNATURES_SIGNATURE_SELECT_END_BIT		31
#define FW_DEVA_SIGNATURES_SIGNATURE_SELECT_ALIGNMENT		(4)
#define FW_DEVA_SIGNATURES_SIGNATURE_SELECT_TYPE		uint32
#define FW_DEVA_SIGNATURES_SIGNATURE_SELECT_MASK		(0xFFFFFFFF)
#define FW_DEVA_SIGNATURES_SIGNATURE_SELECT_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_SIGNATURES_SIGNATURE_SELECT_OFFSET		(0x000C)
#define FW_DEVA_SIGNATURES_SIGNATURE_SELECT_SHIFT		(0)
#define FW_DEVA_SIGNATURES_SIGNATURE_SELECT_SIGNED_FIELD	0
#define FW_DEVA_SIGNATURES_SIGNATURE_SELECT_TRUSTED		(0)

/* FW_DEVA_SIGNATURES     SIGNATURES */
#define FW_DEVA_SIGNATURES_SIGNATURES_START_BIT		0
#define FW_DEVA_SIGNATURES_SIGNATURES_END_BIT		31
#define FW_DEVA_SIGNATURES_SIGNATURES_ALIGNMENT		(4)
#define FW_DEVA_SIGNATURES_SIGNATURES_TYPE		uint32
#define FW_DEVA_SIGNATURES_SIGNATURES_MASK		(0xFFFFFFFF)
#define FW_DEVA_SIGNATURES_SIGNATURES_LSBMASK		(0xFFFFFFFF)
#define FW_DEVA_SIGNATURES_SIGNATURES_OFFSET		(0x0010)
#define FW_DEVA_SIGNATURES_SIGNATURES_SHIFT		(0)
#define FW_DEVA_SIGNATURES_SIGNATURES_SIGNED_FIELD	0
#define FW_DEVA_SIGNATURES_SIGNATURES_TRUSTED		(0)

#define FW_PERF_SIZE		(8)

/* FW_PERF     MSG_ID */
#define FW_PERF_MSG_ID_START_BIT		16
#define FW_PERF_MSG_ID_END_BIT		31
#define FW_PERF_MSG_ID_ALIGNMENT		(2)
#define FW_PERF_MSG_ID_TYPE		uint16
#define FW_PERF_MSG_ID_MASK		(0xFFFF)
#define FW_PERF_MSG_ID_LSBMASK		(0xFFFF)
#define FW_PERF_MSG_ID_OFFSET		(0x0002)
#define FW_PERF_MSG_ID_SHIFT		(0)
#define FW_PERF_MSG_ID_SIGNED_FIELD	0
#define FW_PERF_MSG_ID_TRUSTED		(0)

/* FW_PERF     MSG_TYPE */
#define FW_PERF_MSG_TYPE_START_BIT		8
#define FW_PERF_MSG_TYPE_END_BIT		15
#define FW_PERF_MSG_TYPE_ALIGNMENT		(1)
#define FW_PERF_MSG_TYPE_TYPE		uint8
#define FW_PERF_MSG_TYPE_MASK		(0xFF)
#define FW_PERF_MSG_TYPE_LSBMASK		(0xFF)
#define FW_PERF_MSG_TYPE_OFFSET		(0x0001)
#define FW_PERF_MSG_TYPE_SHIFT		(0)
#define FW_PERF_MSG_TYPE_SIGNED_FIELD	0
#define FW_PERF_MSG_TYPE_TRUSTED		(0)

/* FW_PERF     UNUSED1 */
#define FW_PERF_UNUSED1_START_BIT		7
#define FW_PERF_UNUSED1_END_BIT		7
#define FW_PERF_UNUSED1_ALIGNMENT		(1)
#define FW_PERF_UNUSED1_TYPE		uint8
#define FW_PERF_UNUSED1_MASK		(0x80)
#define FW_PERF_UNUSED1_LSBMASK		(0x01)
#define FW_PERF_UNUSED1_OFFSET		(0x0000)
#define FW_PERF_UNUSED1_SHIFT		(7)
#define FW_PERF_UNUSED1_SIGNED_FIELD	0
#define FW_PERF_UNUSED1_TRUSTED		(0)

/* FW_PERF     MSG_SIZE */
#define FW_PERF_MSG_SIZE_START_BIT		0
#define FW_PERF_MSG_SIZE_END_BIT		6
#define FW_PERF_MSG_SIZE_ALIGNMENT		(1)
#define FW_PERF_MSG_SIZE_TYPE		uint8
#define FW_PERF_MSG_SIZE_MASK		(0x7F)
#define FW_PERF_MSG_SIZE_LSBMASK		(0x7F)
#define FW_PERF_MSG_SIZE_OFFSET		(0x0000)
#define FW_PERF_MSG_SIZE_SHIFT		(0)
#define FW_PERF_MSG_SIZE_SIGNED_FIELD	0
#define FW_PERF_MSG_SIZE_TRUSTED		(0)

/* FW_PERF     TIMESTAMP */
#define FW_PERF_TIMESTAMP_START_BIT		0
#define FW_PERF_TIMESTAMP_END_BIT		31
#define FW_PERF_TIMESTAMP_ALIGNMENT		(4)
#define FW_PERF_TIMESTAMP_TYPE		uint32
#define FW_PERF_TIMESTAMP_MASK		(0xFFFFFFFF)
#define FW_PERF_TIMESTAMP_LSBMASK		(0xFFFFFFFF)
#define FW_PERF_TIMESTAMP_OFFSET		(0x0004)
#define FW_PERF_TIMESTAMP_SHIFT		(0)
#define FW_PERF_TIMESTAMP_SIGNED_FIELD	0
#define FW_PERF_TIMESTAMP_TRUSTED		(0)

#define FW_DEC_REQ_RECEIVED_SIZE		(12)

/* FW_DEC_REQ_RECEIVED     MSG_ID */
#define FW_DEC_REQ_RECEIVED_MSG_ID_START_BIT		16
#define FW_DEC_REQ_RECEIVED_MSG_ID_END_BIT		31
#define FW_DEC_REQ_RECEIVED_MSG_ID_ALIGNMENT		(2)
#define FW_DEC_REQ_RECEIVED_MSG_ID_TYPE		uint16
#define FW_DEC_REQ_RECEIVED_MSG_ID_MASK		(0xFFFF)
#define FW_DEC_REQ_RECEIVED_MSG_ID_LSBMASK		(0xFFFF)
#define FW_DEC_REQ_RECEIVED_MSG_ID_OFFSET		(0x0002)
#define FW_DEC_REQ_RECEIVED_MSG_ID_SHIFT		(0)
#define FW_DEC_REQ_RECEIVED_MSG_ID_SIGNED_FIELD	0
#define FW_DEC_REQ_RECEIVED_MSG_ID_TRUSTED		(0)

/* FW_DEC_REQ_RECEIVED     MSG_TYPE */
#define FW_DEC_REQ_RECEIVED_MSG_TYPE_START_BIT		8
#define FW_DEC_REQ_RECEIVED_MSG_TYPE_END_BIT		15
#define FW_DEC_REQ_RECEIVED_MSG_TYPE_ALIGNMENT		(1)
#define FW_DEC_REQ_RECEIVED_MSG_TYPE_TYPE		uint8
#define FW_DEC_REQ_RECEIVED_MSG_TYPE_MASK		(0xFF)
#define FW_DEC_REQ_RECEIVED_MSG_TYPE_LSBMASK		(0xFF)
#define FW_DEC_REQ_RECEIVED_MSG_TYPE_OFFSET		(0x0001)
#define FW_DEC_REQ_RECEIVED_MSG_TYPE_SHIFT		(0)
#define FW_DEC_REQ_RECEIVED_MSG_TYPE_SIGNED_FIELD	0
#define FW_DEC_REQ_RECEIVED_MSG_TYPE_TRUSTED		(0)

/* FW_DEC_REQ_RECEIVED     NOT_LAST_MSG */
#define FW_DEC_REQ_RECEIVED_NOT_LAST_MSG_START_BIT		7
#define FW_DEC_REQ_RECEIVED_NOT_LAST_MSG_END_BIT		7
#define FW_DEC_REQ_RECEIVED_NOT_LAST_MSG_ALIGNMENT		(1)
#define FW_DEC_REQ_RECEIVED_NOT_LAST_MSG_TYPE		uint8
#define FW_DEC_REQ_RECEIVED_NOT_LAST_MSG_MASK		(0x80)
#define FW_DEC_REQ_RECEIVED_NOT_LAST_MSG_LSBMASK		(0x01)
#define FW_DEC_REQ_RECEIVED_NOT_LAST_MSG_OFFSET		(0x0000)
#define FW_DEC_REQ_RECEIVED_NOT_LAST_MSG_SHIFT		(7)
#define FW_DEC_REQ_RECEIVED_NOT_LAST_MSG_SIGNED_FIELD	0
#define FW_DEC_REQ_RECEIVED_NOT_LAST_MSG_TRUSTED		(0)

/* FW_DEC_REQ_RECEIVED     MSG_SIZE */
#define FW_DEC_REQ_RECEIVED_MSG_SIZE_START_BIT		0
#define FW_DEC_REQ_RECEIVED_MSG_SIZE_END_BIT		6
#define FW_DEC_REQ_RECEIVED_MSG_SIZE_ALIGNMENT		(1)
#define FW_DEC_REQ_RECEIVED_MSG_SIZE_TYPE		uint8
#define FW_DEC_REQ_RECEIVED_MSG_SIZE_MASK		(0x7F)
#define FW_DEC_REQ_RECEIVED_MSG_SIZE_LSBMASK		(0x7F)
#define FW_DEC_REQ_RECEIVED_MSG_SIZE_OFFSET		(0x0000)
#define FW_DEC_REQ_RECEIVED_MSG_SIZE_SHIFT		(0)
#define FW_DEC_REQ_RECEIVED_MSG_SIZE_SIGNED_FIELD	0
#define FW_DEC_REQ_RECEIVED_MSG_SIZE_TRUSTED		(0)

/* FW_DEC_REQ_RECEIVED     PTD */
#define FW_DEC_REQ_RECEIVED_PTD_START_BIT		0
#define FW_DEC_REQ_RECEIVED_PTD_END_BIT		31
#define FW_DEC_REQ_RECEIVED_PTD_ALIGNMENT		(4)
#define FW_DEC_REQ_RECEIVED_PTD_TYPE		uint32
#define FW_DEC_REQ_RECEIVED_PTD_MASK		(0xFFFFFFFF)
#define FW_DEC_REQ_RECEIVED_PTD_LSBMASK		(0xFFFFFFFF)
#define FW_DEC_REQ_RECEIVED_PTD_OFFSET		(0x0004)
#define FW_DEC_REQ_RECEIVED_PTD_SHIFT		(0)
#define FW_DEC_REQ_RECEIVED_PTD_SIGNED_FIELD	0
#define FW_DEC_REQ_RECEIVED_PTD_TRUSTED		(0)

/* FW_DEC_REQ_RECEIVED     TRANS_ID */
#define FW_DEC_REQ_RECEIVED_TRANS_ID_START_BIT		0
#define FW_DEC_REQ_RECEIVED_TRANS_ID_END_BIT		31
#define FW_DEC_REQ_RECEIVED_TRANS_ID_ALIGNMENT		(4)
#define FW_DEC_REQ_RECEIVED_TRANS_ID_TYPE		uint32
#define FW_DEC_REQ_RECEIVED_TRANS_ID_MASK		(0xFFFFFFFF)
#define FW_DEC_REQ_RECEIVED_TRANS_ID_LSBMASK		(0xFFFFFFFF)
#define FW_DEC_REQ_RECEIVED_TRANS_ID_OFFSET		(0x0008)
#define FW_DEC_REQ_RECEIVED_TRANS_ID_SHIFT		(0)
#define FW_DEC_REQ_RECEIVED_TRANS_ID_SIGNED_FIELD	0
#define FW_DEC_REQ_RECEIVED_TRANS_ID_TRUSTED		(0)

#endif /* _IMG_VDEC_FW_MSG_H */
